# Luxsci.Model.AuthenticationRequest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Date** | **string** | The current date and time. This can be in \&quot;epoch seconds\&quot; (e.g. \&quot;1426025141\&quot;) or in a standard date format that will be parsed and converted to epoch seconds. E.g. these formats are all OK:   \&quot;&lt;tt&gt;Wed, 3 Mar 2015 13:12:15 -0400&lt;/tt&gt;\&quot;   \&quot;&lt;tt&gt;Wed, 3 Mar 2015 13:12:15 GMT&lt;/tt&gt;\&quot;   \&quot;&lt;tt&gt;2015-03-03 13:12:15 -0400&lt;/tt&gt;\&quot;   \&quot;&lt;tt&gt;03-Mar-2015 13:12:15 GMT&lt;/tt&gt;\&quot;   Your date and time (clock skew) must be no later than 15 minutes behind and no more than 1 minute ahead of our server time, or else the request will be rejected. | 
**Signature** | **string** | HMAC using your API Key as the HMAC key.  Signature &#x3D; &lt;tt&gt;HMAC( text_to_sign, API KEY)&lt;/tt&gt; &lt;tt&gt;text_to_sign &#x3D; token + \&quot;\\n\&quot; + date + \&quot;\\n\&quot;&lt;/tt&gt;  If you are sending username and password information in this authentication request, then:   &lt;tt&gt;text_to_sign &#x3D; token + \&quot;\\n\&quot; + date + \&quot;\\n\&quot; + user + \&quot;\\n\&quot; + pass + \&quot;\\n\&quot;&lt;/tt&gt; | 
**Token** | **string** | Your API Token | 
**User** | **string** | If you are authenticating into \&quot;user\&quot; scope with an explicit username and password, include the login email address of the user in question. E.g.\&quot;&lt;tt&gt;joe@domain.com&lt;/tt&gt;\&quot; | [optional] 
**Pass** | **string** | If you are authenticating into \&quot;user\&quot; scope with an explicit username and password, include the plain text password for the user. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

