# Luxsci.Api.EmailSendingApi

All URIs are relative to *https://rest.luxsci.com/perl/api/v2*, unless a hostname is provided ([see README](../README.md#documentation-for-api-endpoints))

| Method | HTTP request | Description |
|--------|--------------|-------------|
| [**CreateAccountSuppression**](EmailSendingApi.md#createaccountsuppression) | **PUT** /account/{accountId}/suppression/ |  |
| [**CreateCustomField**](EmailSendingApi.md#createcustomfield) | **PUT** /user/{username}/fields |  |
| [**CreateEmailContentTag**](EmailSendingApi.md#createemailcontenttag) | **PUT** /user/{username}/content_tags |  |
| [**CreateEmailTemplate**](EmailSendingApi.md#createemailtemplate) | **PUT** /user/{username}/templates |  |
| [**CreateEmailTemplateGroup**](EmailSendingApi.md#createemailtemplategroup) | **PUT** /user/{username}/template_group/{template_group_id} |  |
| [**CreateUserSuppression**](EmailSendingApi.md#createusersuppression) | **PUT** /user/{username}/suppression/ |  |
| [**DeleteAccountSuppression**](EmailSendingApi.md#deleteaccountsuppression) | **DELETE** /account/{accountId}/suppression/{email} |  |
| [**DeleteEmailContentTag**](EmailSendingApi.md#deleteemailcontenttag) | **DELETE** /user/{username}/content_tags/{tag_id} |  |
| [**DeleteEmailTemplate**](EmailSendingApi.md#deleteemailtemplate) | **DELETE** /user/{username}/template/{template_id} |  |
| [**DeleteEmailTemplateGroup**](EmailSendingApi.md#deleteemailtemplategroup) | **DELETE** /user/{username}/template_group/{template_group_id} |  |
| [**DeleteUserSuppression**](EmailSendingApi.md#deleteusersuppression) | **DELETE** /user/{username}/suppression/{email} |  |
| [**GetAccountSuppression**](EmailSendingApi.md#getaccountsuppression) | **GET** /account/{accountId}/suppression/{email} |  |
| [**GetAccountSuppressionList**](EmailSendingApi.md#getaccountsuppressionlist) | **GET** /account/{accountId}/suppression/ |  |
| [**GetCustomFields**](EmailSendingApi.md#getcustomfields) | **GET** /user/{username}/fields |  |
| [**GetDomainSmtpTlsCapability**](EmailSendingApi.md#getdomainsmtptlscapability) | **GET** /user/{username}/email/compose/secureline/tls/{domain} |  |
| [**GetEmailContentTag**](EmailSendingApi.md#getemailcontenttag) | **GET** /user/{username}/content_tags/{tag_id} |  |
| [**GetEmailContentTagList**](EmailSendingApi.md#getemailcontenttaglist) | **GET** /user/{username}/content_tags |  |
| [**GetEmailTemplate**](EmailSendingApi.md#getemailtemplate) | **GET** /user/{username}/template/{template_id} |  |
| [**GetEmailTemplateGroups**](EmailSendingApi.md#getemailtemplategroups) | **GET** /user/{username}/template_groups |  |
| [**GetEmailTemplateList**](EmailSendingApi.md#getemailtemplatelist) | **GET** /user/{username}/templates |  |
| [**GetUserSuppression**](EmailSendingApi.md#getusersuppression) | **GET** /user/{username}/suppression/{email} |  |
| [**GetUserSuppressionList**](EmailSendingApi.md#getusersuppressionlist) | **GET** /user/{username}/suppression/ |  |
| [**SendEmail**](EmailSendingApi.md#sendemail) | **POST** /user/{username}/email/send |  |
| [**SendSecureEmailOrSecureText**](EmailSendingApi.md#sendsecureemailorsecuretext) | **POST** /user/{username}/email/compose/secureline/send |  |
| [**UpdateEmailContentTag**](EmailSendingApi.md#updateemailcontenttag) | **POST** /user/{username}/content_tags/{tag_id} |  |
| [**UpdateEmailTemplate**](EmailSendingApi.md#updateemailtemplate) | **POST** /user/{username}/template/{template_id} |  |
| [**UpdateEmailTemplateGroup**](EmailSendingApi.md#updateemailtemplategroup) | **POST** /user/{username}/template_group/{template_group_id} |  |

<a name="createaccountsuppression"></a>
# **CreateAccountSuppression**
> UpdateUser200Response CreateAccountSuppression (int accountId, string? cookie = null, Suppression? suppression = null)



Add new email suppressions at the account level. {{ACL: User Email: Suppression}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class CreateAccountSuppressionExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var accountId = 56;  // int | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var suppression = new Suppression?(); // Suppression? |  (optional) 

            try
            {
                UpdateUser200Response result = apiInstance.CreateAccountSuppression(accountId, cookie, suppression);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.CreateAccountSuppression: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the CreateAccountSuppressionWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<UpdateUser200Response> response = apiInstance.CreateAccountSuppressionWithHttpInfo(accountId, cookie, suppression);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.CreateAccountSuppressionWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **int** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **suppression** | [**Suppression?**](Suppression?.md) |  | [optional]  |

### Return type

[**UpdateUser200Response**](UpdateUser200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | None |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="createcustomfield"></a>
# **CreateCustomField**
> Authentication201Response CreateCustomField (string username, string? cookie = null, CreateCustomFieldRequest? createCustomFieldRequest = null)



Create a Custom Field.  These Custom Fields are useful for Secure Marketing v3 and for Advanced Secure High Volume.  Note that for users in Teams, only Team Administrators are permitted to make new Custom Fields. {{ACL: User Email: Custom Fields}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class CreateCustomFieldExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857 ;  // string? |  (optional) 
            var createCustomFieldRequest = new CreateCustomFieldRequest?(); // CreateCustomFieldRequest? |  (optional) 

            try
            {
                Authentication201Response result = apiInstance.CreateCustomField(username, cookie, createCustomFieldRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.CreateCustomField: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the CreateCustomFieldWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<Authentication201Response> response = apiInstance.CreateCustomFieldWithHttpInfo(username, cookie, createCustomFieldRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.CreateCustomFieldWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **createCustomFieldRequest** | [**CreateCustomFieldRequest?**](CreateCustomFieldRequest?.md) |  | [optional]  |

### Return type

[**Authentication201Response**](Authentication201Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** |  |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="createemailcontenttag"></a>
# **CreateEmailContentTag**
> CreateEmailContentTag200Response CreateEmailContentTag (string username, string? cookie = null, ContentTag? contentTag = null)



Define a new static email content tag.  {{ACL: User Email: Templates}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class CreateEmailContentTagExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var contentTag = new ContentTag?(); // ContentTag? |  (optional) 

            try
            {
                CreateEmailContentTag200Response result = apiInstance.CreateEmailContentTag(username, cookie, contentTag);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.CreateEmailContentTag: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the CreateEmailContentTagWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<CreateEmailContentTag200Response> response = apiInstance.CreateEmailContentTagWithHttpInfo(username, cookie, contentTag);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.CreateEmailContentTagWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **contentTag** | [**ContentTag?**](ContentTag?.md) |  | [optional]  |

### Return type

[**CreateEmailContentTag200Response**](CreateEmailContentTag200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Results in the “data” component of the response. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="createemailtemplate"></a>
# **CreateEmailTemplate**
> CreateEmailTemplate200Response CreateEmailTemplate (string username, string? cookie = null, Template? template = null)



Create a new email template.  Note, templates created via the API will be required to use the WYSIWYG template editor if edited in the user interface.  {{ACL: User Email: Templates}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class CreateEmailTemplateExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var template = new Template?(); // Template? |  (optional) 

            try
            {
                CreateEmailTemplate200Response result = apiInstance.CreateEmailTemplate(username, cookie, template);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.CreateEmailTemplate: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the CreateEmailTemplateWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<CreateEmailTemplate200Response> response = apiInstance.CreateEmailTemplateWithHttpInfo(username, cookie, template);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.CreateEmailTemplateWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **template** | [**Template?**](Template?.md) |  | [optional]  |

### Return type

[**CreateEmailTemplate200Response**](CreateEmailTemplate200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Results in the “data” component of the response. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="createemailtemplategroup"></a>
# **CreateEmailTemplateGroup**
> CreateEmailTemplateGroup200Response CreateEmailTemplateGroup (string username, string? cookie = null, CreateEmailTemplateGroupRequest? createEmailTemplateGroupRequest = null)



Create a new email template group. {{ACL: User Email: Templates}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class CreateEmailTemplateGroupExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var createEmailTemplateGroupRequest = new CreateEmailTemplateGroupRequest?(); // CreateEmailTemplateGroupRequest? |  (optional) 

            try
            {
                CreateEmailTemplateGroup200Response result = apiInstance.CreateEmailTemplateGroup(username, cookie, createEmailTemplateGroupRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.CreateEmailTemplateGroup: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the CreateEmailTemplateGroupWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<CreateEmailTemplateGroup200Response> response = apiInstance.CreateEmailTemplateGroupWithHttpInfo(username, cookie, createEmailTemplateGroupRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.CreateEmailTemplateGroupWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **createEmailTemplateGroupRequest** | [**CreateEmailTemplateGroupRequest?**](CreateEmailTemplateGroupRequest?.md) |  | [optional]  |

### Return type

[**CreateEmailTemplateGroup200Response**](CreateEmailTemplateGroup200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Results in the data component of the response. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="createusersuppression"></a>
# **CreateUserSuppression**
> UpdateUser200Response CreateUserSuppression (string username, string? cookie = null, Suppression? suppression = null)



Add new email suppressions at the user level. {{ACL: User Email: Suppression}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class CreateUserSuppressionExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var suppression = new Suppression?(); // Suppression? |  (optional) 

            try
            {
                UpdateUser200Response result = apiInstance.CreateUserSuppression(username, cookie, suppression);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.CreateUserSuppression: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the CreateUserSuppressionWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<UpdateUser200Response> response = apiInstance.CreateUserSuppressionWithHttpInfo(username, cookie, suppression);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.CreateUserSuppressionWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **suppression** | [**Suppression?**](Suppression?.md) |  | [optional]  |

### Return type

[**UpdateUser200Response**](UpdateUser200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | None |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deleteaccountsuppression"></a>
# **DeleteAccountSuppression**
> UpdateUser200Response DeleteAccountSuppression (string accountId, string email, string? cookie = null)



Delete a specific account-level email suppression. {{ACL: User Email: Suppression}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class DeleteAccountSuppressionExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var accountId = "accountId_example";  // string | 
            var email = "email_example";  // string | Suppression email address to be deleted.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                UpdateUser200Response result = apiInstance.DeleteAccountSuppression(accountId, email);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.DeleteAccountSuppression: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the DeleteAccountSuppressionWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<UpdateUser200Response> response = apiInstance.DeleteAccountSuppressionWithHttpInfo(accountId, email);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.DeleteAccountSuppressionWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **email** | **string** | Suppression email address to be deleted. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**UpdateUser200Response**](UpdateUser200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | none |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deleteemailcontenttag"></a>
# **DeleteEmailContentTag**
> UpdateUser200Response DeleteEmailContentTag (string username, string tagId, string? cookie = null)



Delete a specific email content tag.  {{ACL: User Email: Templates}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class DeleteEmailContentTagExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var tagId = "tagId_example";  // string | tag_id can be either the unique numerical tag_id or the text code_word
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                UpdateUser200Response result = apiInstance.DeleteEmailContentTag(username, tagId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.DeleteEmailContentTag: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the DeleteEmailContentTagWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<UpdateUser200Response> response = apiInstance.DeleteEmailContentTagWithHttpInfo(username, tagId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.DeleteEmailContentTagWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **tagId** | **string** | tag_id can be either the unique numerical tag_id or the text code_word |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**UpdateUser200Response**](UpdateUser200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | none |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deleteemailtemplate"></a>
# **DeleteEmailTemplate**
> UpdateUser200Response DeleteEmailTemplate (string username, string templateId, string? cookie = null)



Delete a specific email template.  {{ACL: User Email: Templates}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class DeleteEmailTemplateExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var templateId = "templateId_example";  // string | template_id can be either the unique numerical template_id or the text code_word
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                UpdateUser200Response result = apiInstance.DeleteEmailTemplate(username, templateId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.DeleteEmailTemplate: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the DeleteEmailTemplateWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<UpdateUser200Response> response = apiInstance.DeleteEmailTemplateWithHttpInfo(username, templateId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.DeleteEmailTemplateWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **templateId** | **string** | template_id can be either the unique numerical template_id or the text code_word |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**UpdateUser200Response**](UpdateUser200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | none |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deleteemailtemplategroup"></a>
# **DeleteEmailTemplateGroup**
> UpdateUser200Response DeleteEmailTemplateGroup (string username, string templateGroupId, string? cookie = null)



Delete a specific email template group.  {{ACL: User Email: Templates}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class DeleteEmailTemplateGroupExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var templateGroupId = "templateGroupId_example";  // string | Unique Id for this template group.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                UpdateUser200Response result = apiInstance.DeleteEmailTemplateGroup(username, templateGroupId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.DeleteEmailTemplateGroup: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the DeleteEmailTemplateGroupWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<UpdateUser200Response> response = apiInstance.DeleteEmailTemplateGroupWithHttpInfo(username, templateGroupId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.DeleteEmailTemplateGroupWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **templateGroupId** | **string** | Unique Id for this template group. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**UpdateUser200Response**](UpdateUser200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | none |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deleteusersuppression"></a>
# **DeleteUserSuppression**
> UpdateUser200Response DeleteUserSuppression (string username, string email, string? cookie = null)



Delete a specific user-level email suppression. {{ACL: User Email: Suppression}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class DeleteUserSuppressionExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var email = "email_example";  // string | Suppression email address to be deleted.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                UpdateUser200Response result = apiInstance.DeleteUserSuppression(username, email);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.DeleteUserSuppression: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the DeleteUserSuppressionWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<UpdateUser200Response> response = apiInstance.DeleteUserSuppressionWithHttpInfo(username, email);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.DeleteUserSuppressionWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **email** | **string** | Suppression email address to be deleted. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**UpdateUser200Response**](UpdateUser200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | none |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getaccountsuppression"></a>
# **GetAccountSuppression**
> SendEmail200Response GetAccountSuppression (int accountId, string email, string? cookie = null)



Retrieve a specific email suppression at the account level. {{ACL: User Email: Suppression}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetAccountSuppressionExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var accountId = 56;  // int | 
            var email = "email_example";  // string | Suppression email address to be retrieved. You are returning all suppression entries that contain the string 'email'.  Note that even if you specify a full email address for 'email,' you can get multiple matches.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                SendEmail200Response result = apiInstance.GetAccountSuppression(accountId, email);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.GetAccountSuppression: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetAccountSuppressionWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<SendEmail200Response> response = apiInstance.GetAccountSuppressionWithHttpInfo(accountId, email);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.GetAccountSuppressionWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **int** |  |  |
| **email** | **string** | Suppression email address to be retrieved. You are returning all suppression entries that contain the string &#39;email&#39;.  Note that even if you specify a full email address for &#39;email,&#39; you can get multiple matches. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**SendEmail200Response**](SendEmail200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | The data will be a single object that is a list containing one entry for each match.  Each entry will itself be a list of the form: &#x60;[email, expires, account_id, domain_id, user_id]&#x60;. \&quot;email\&quot; is the email address suppressed.  \&quot;expires\&quot; is the number of days until it expires, or zero if it does not expire. account_id is the customer account id. domain_id is zero for account-level entries or the domain name id for domain and user-level entries.  user_id is zero except for user-level suppression entries, in which case it is the end user id number. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getaccountsuppressionlist"></a>
# **GetAccountSuppressionList**
> SendEmail200Response GetAccountSuppressionList (string accountId, string? cookie = null)



Retrieve all email suppressions at the account level. See also the newer and more general function: getAccountSuppressionReport.  {{ACL: User Email: Suppression}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetAccountSuppressionListExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var accountId = "accountId_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                SendEmail200Response result = apiInstance.GetAccountSuppressionList(accountId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.GetAccountSuppressionList: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetAccountSuppressionListWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<SendEmail200Response> response = apiInstance.GetAccountSuppressionListWithHttpInfo(accountId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.GetAccountSuppressionListWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**SendEmail200Response**](SendEmail200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | The data will be a single object that is a list containing one entry for each match.  Each entry will itself be a list of the form: &#x60;[email, expires, account_id, domain_id, user_id]&#x60;. \&quot;email\&quot; is the email address suppressed.  \&quot;expires\&quot; is the number of days until it expires, or zero if it does not expire. account_id is the customer account id. domain_id is zero for account-level entries, or the domain name id for domain and user-level entries.  user_id is zero except for user-level suppression entries, in which case it is the end user id number. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getcustomfields"></a>
# **GetCustomFields**
> GetCustomFields200Response GetCustomFields (string username, string? cookie = null)



Retrieve a list of all Custom Fields visible to user {username}.  These Custom Fields are useful for Secure Marketing v3 and for Advanced Secure High Volume. {{ACL: User Email: Custom Fields}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetCustomFieldsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetCustomFields200Response result = apiInstance.GetCustomFields(username);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.GetCustomFields: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetCustomFieldsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetCustomFields200Response> response = apiInstance.GetCustomFieldsWithHttpInfo(username);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.GetCustomFieldsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetCustomFields200Response**](GetCustomFields200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** |  |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getdomainsmtptlscapability"></a>
# **GetDomainSmtpTlsCapability**
> GetDomainSmtpTlsCapability200Response GetDomainSmtpTlsCapability (string username, string domain, string? cookie = null)



This function checks if a specific domain name supports “good” SMTP TLS for email delivery to its users. This means: - All MX records are working - SMTP TLS is supported by all MX records - TLS support includes TLS v1.0+ and strong (NIST 800-52 recommended) ciphers like AES256.  For more background, see: - [About SMTP TLS](https://luxsci.com/blog/smtp-tls-all-about-secure-email-delivery-over-tls.html) - [What Level of SSL/TLS is needed for HIPAA?](https://luxsci.com/blog/level-ssl-tls-required-hipaa.html) {{ACL: User Email - Sending}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetDomainSmtpTlsCapabilityExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var domain = "domain_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetDomainSmtpTlsCapability200Response result = apiInstance.GetDomainSmtpTlsCapability(username, domain);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.GetDomainSmtpTlsCapability: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetDomainSmtpTlsCapabilityWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetDomainSmtpTlsCapability200Response> response = apiInstance.GetDomainSmtpTlsCapabilityWithHttpInfo(username, domain);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.GetDomainSmtpTlsCapabilityWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **domain** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetDomainSmtpTlsCapability200Response**](GetDomainSmtpTlsCapability200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | The response body for a successful request will have a keywords and data in the “data” in the JSON response. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailcontenttag"></a>
# **GetEmailContentTag**
> GetEmailContentTag200Response GetEmailContentTag (string username, string tagId, string? cookie = null)



The call returns the specific details around a specific Email Content Tag {{ACL: User Email: Templates}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailContentTagExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var tagId = "tagId_example";  // string | can either be the numerical unique ID of the Cotent Tag, or its 'code_word'
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetEmailContentTag200Response result = apiInstance.GetEmailContentTag(username, tagId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.GetEmailContentTag: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailContentTagWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetEmailContentTag200Response> response = apiInstance.GetEmailContentTagWithHttpInfo(username, tagId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.GetEmailContentTagWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **tagId** | **string** | can either be the numerical unique ID of the Cotent Tag, or its &#39;code_word&#39; |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetEmailContentTag200Response**](GetEmailContentTag200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Results in the “data” component of the response. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailcontenttaglist"></a>
# **GetEmailContentTagList**
> GetEmailContentTagList200Response GetEmailContentTagList (string username, string? cookie = null)



This function returns a list of all content tags accessible to you.  {{ACL: User Email: Templates}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailContentTagListExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetEmailContentTagList200Response result = apiInstance.GetEmailContentTagList(username);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.GetEmailContentTagList: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailContentTagListWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetEmailContentTagList200Response> response = apiInstance.GetEmailContentTagListWithHttpInfo(username);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.GetEmailContentTagListWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetEmailContentTagList200Response**](GetEmailContentTagList200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Results in the “data” component of the response. The data component is a list of associated arrays. Each associate array corresponds to a single content tag |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailtemplate"></a>
# **GetEmailTemplate**
> GetEmailTemplate200Response GetEmailTemplate (string username, string templateId, string? cookie = null)



The call returns the specific details around a specific Email Template. {{ACL: User Email: Templates}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailTemplateExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var templateId = "templateId_example";  // string | can either be the numerical unique ID of the template, or the textual “code_word”
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetEmailTemplate200Response result = apiInstance.GetEmailTemplate(username, templateId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.GetEmailTemplate: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailTemplateWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetEmailTemplate200Response> response = apiInstance.GetEmailTemplateWithHttpInfo(username, templateId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.GetEmailTemplateWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **templateId** | **string** | can either be the numerical unique ID of the template, or the textual “code_word” |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetEmailTemplate200Response**](GetEmailTemplate200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Results in the “data” component of the response. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailtemplategroups"></a>
# **GetEmailTemplateGroups**
> GetEmailTemplateGroups200Response GetEmailTemplateGroups (string username, string? cookie = null)



This function returns a list of all templates groups accessible to you.  {{ACL: User Email: Templates}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailTemplateGroupsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetEmailTemplateGroups200Response result = apiInstance.GetEmailTemplateGroups(username);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.GetEmailTemplateGroups: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailTemplateGroupsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetEmailTemplateGroups200Response> response = apiInstance.GetEmailTemplateGroupsWithHttpInfo(username);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.GetEmailTemplateGroupsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetEmailTemplateGroups200Response**](GetEmailTemplateGroups200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Results in the data component of the response. The data component is a list of associated arrays. Each associate array corresponds to a single template group. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailtemplatelist"></a>
# **GetEmailTemplateList**
> GetEmailTemplateList200Response GetEmailTemplateList (string username, int? userId = null, string? cookie = null)



This function returns a list of all templates accessible to you.  {{ACL: User Email: Templates}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailTemplateListExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var userId = 56;  // int? | Restricts the templates returned to only those owned by a specific user, [user_id].  This is relevent when [username] used belongs to a Team. In that case, all non-private Templates of all Team members are returned by this call unless this parameter is specified. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetEmailTemplateList200Response result = apiInstance.GetEmailTemplateList(username, userId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.GetEmailTemplateList: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailTemplateListWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetEmailTemplateList200Response> response = apiInstance.GetEmailTemplateListWithHttpInfo(username, userId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.GetEmailTemplateListWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **userId** | **int?** | Restricts the templates returned to only those owned by a specific user, [user_id].  This is relevent when [username] used belongs to a Team. In that case, all non-private Templates of all Team members are returned by this call unless this parameter is specified. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetEmailTemplateList200Response**](GetEmailTemplateList200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Results in the “data” component of the response. The data component is a list of associated arrays. Each associate array corresponds to a single template. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getusersuppression"></a>
# **GetUserSuppression**
> SendEmail200Response GetUserSuppression (string username, string email, string? cookie = null)



Retrieve a specific email suppression at the user level. {{ACL: User Email: Suppression}}.  See also the newer and more general function: getUserSuppressionReport.

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetUserSuppressionExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var email = "email_example";  // string | Suppression email address to be retrieved. You are returning all suppression entries that contain the string 'email'.  Note that even if you specify a full email address for 'email,' you can get multiple matches.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                SendEmail200Response result = apiInstance.GetUserSuppression(username, email);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.GetUserSuppression: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetUserSuppressionWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<SendEmail200Response> response = apiInstance.GetUserSuppressionWithHttpInfo(username, email);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.GetUserSuppressionWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **email** | **string** | Suppression email address to be retrieved. You are returning all suppression entries that contain the string &#39;email&#39;.  Note that even if you specify a full email address for &#39;email,&#39; you can get multiple matches. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**SendEmail200Response**](SendEmail200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | The data will be a single object that is a list containing one entry for each match.  Each entry will itself be a list of the form: [email, expires, account_id, domain_id, user_id, date_time_created, notes]. \&quot;email\&quot; is the email address suppressed.  \&quot;expires\&quot; is the number of days until it expires, or zero if it does not expire. account_id is the customer account id. domain_id is zero for account-level entries, or the domain name id for domain and user-level entries.  user_id is zero except for user-level suppression entries, in which case it is the end user id number. \&quot;date_time_created\&quot; is in GMT. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getusersuppressionlist"></a>
# **GetUserSuppressionList**
> SendEmail200Response GetUserSuppressionList (string username, string? cookie = null)



Retrieve all email suppressions at the user level in a simple list. {{ACL: User Email: Suppression}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetUserSuppressionListExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                SendEmail200Response result = apiInstance.GetUserSuppressionList(username);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.GetUserSuppressionList: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetUserSuppressionListWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<SendEmail200Response> response = apiInstance.GetUserSuppressionListWithHttpInfo(username);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.GetUserSuppressionListWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**SendEmail200Response**](SendEmail200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | The data will be a single object that is a list containing one entry for each match.  Each entry will itself be a list of the form: [email, expires, account_id, domain_id, user_id, date_time_created, notes]. \&quot;email\&quot; is the email address suppressed.  \&quot;expires\&quot; is the number of days until it expires, or zero if it does not expire. account_id is the customer account id. domain_id is zero for account-level entries, or the domain name id for domain and user-level entries.  user_id is zero except for user-level suppression entries, in which case it is the end user id number. \&quot;date_time_created\&quot; is in GMT. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="sendemail"></a>
# **SendEmail**
> SendEmail200Response SendEmail (string username, string? cookie = null, SendEmailRequest? sendEmailRequest = null)



This API call is a generic outbound email sending interface that is designed to enable efficient large-scale email sending through your account’s email servers.  It is ideal for Secure High Volume email sending.  See - [sendEmail vs sendSecureEmailOrSecureText endpoints](/rest-api/sending-email.html) for sending email via the LuxSci API.  This API function is used to send message(s) through your account’s SMTP server(s). You can think of it as an API-based proxy to SMTP, used for cases where direct use of SMTP is not an option. Generally speaking, direct use of SMTP is overall faster and more efficient; however, the API does include some things that you cannot get through direct SMTP connections. For example, the API includes support for failover, load-balanced SMTP servers; this can be done with direct SMTP only if you have a load balancer in front of your servers. You can also hand off messages to LuxSci (into the outbound queues) faster through the API than you can through direct SMTP.  As this is a proxy for SMTP, the majority of the email message processing actually happens on the SMTP servers themselves (just like it would if you had actually used direct SMTP to send the message). The API call accepts the message, vets your ability to send the message, queues the message, and the moves it to the appropriate SMTP servers for delivery. This API process is designed to be very safe and efficient and works well for customers with very large SMTP sending limits (e.g., millions of messages per month).  This API function allows you to optionally include attachments. If you wish to include attachments, you must format your request as a `multipart/form-data` request as discussed in the [API Mechanics Guide](/rest-api/mechanics.html).  If the API call 'fails' it may be because more information is needed to encrypt the message to your recipients, if the request is malformed, or if your sending has exceeded some limit. Here are some limits to be aware of  1. The sending user must have an SMTP license. 2. The sending user must have a SecureLine license to use SecureLine-specific parameters. 3. You have to send to at least 1 recipient, but no more than 100 recipients per message. This limit can be increased on dedicated servers. 4. Your API call can contain 1 to 1000 messages. This limit can be increased on dedicated servers. 5. The total number of recipients across all messages in your API call cannot exceed 1000. This limit can be increased on dedicated servers. 6. The messages sent by a user through this API call count towards the users’ daily and monthly SMTP sending (just as if the user had actually used direct SMTP to send) totals. So, messages will be rejected if a user exceeds any of these limits. Please contact support if you need to upgrade these limits. 7. While SecureLine-encrypted emails sending is supported through this API call, SecureText sending is not. 8. If there are restrictions configured in the Domain Administration control panel on to whom the sending user can send messages, these restrictions also apply to messages sent through the API. 9. The total size of the message subject, body, and all attachments (raw size) must be less than or equal to 66% the sender’s SMTP message sending size limit. This limit can be affected by use of Email Archival, custom domain-level size limits, and general global limits. The current value of this limit can be found in the “Maximum Message Size Limit” for the sender’s domain in your domain administration settings area. 66% is used because, when the attachments are encoded into an actual email message, the size can bloat to 140-150% of the raw size; the SMTP message size limit looks at the size of the encoded messages passing through your SMTP servers.  Note that once messages sent via this API arrive on your SMTP server for processing and delivery, those messages are subject to any server delivery rate limiting settings currently enabled on the SMTP server. For example, if your SMTP server is “warming up” its IP address by slowly increasing its outbound email delivery rate, messages sent by the API through that server may be delayed by that warmup rate limit.  **Maximizing your sending rate:**  To deposit email messages in the outbound queues as fast as possible using the API, we recommend  1. Send as many messages as you can in each API call. This “pipelining” greatly reduces the number of API calls you need to execute and greatly speeds up processing of your messages. 2. When sending same attachments in multiple messages, use the API’s feature for including the attachment once and referencing it in each of the actual messages. This will greatly speed up the uploading/posting of your message information to the API server. 3. Keep the messages as small as possible. 4. If appropriate for your use case, send fewer messages. Have more recipients per message (using the `bcc` field if needed). 5. Ask support about dedicated API servers. If all of the server resources are dedicated to your account, your throughput can be higher. You can also use multiple load-balanced dedicated API sending servers to scale your throughput capacity. 6. Use the `priority` field to ensure that more important messages are processed and delivered before less important messages.  Under ideal conditions, you should be able to deposit outbound email messages in the API queues much faster that your email servers can actually deliver those messages to the actual recipients (unless you have a number of powerful dedicated email servers). That is OK, your email servers will just process and delivery them as fast as they can. The actual rate of message delivery to the recipients will be a function of how many email servers you have, what their specs are, how busy they are, and many other factors involved in SMTP email delivery – such as the recipients’ DNS response time, the recipient’s inbound email server speeds, etc. {{ACL: User Email: Sending}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class SendEmailExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var sendEmailRequest = new SendEmailRequest?(); // SendEmailRequest? |  (optional) 

            try
            {
                SendEmail200Response result = apiInstance.SendEmail(username, cookie, sendEmailRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.SendEmail: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the SendEmailWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<SendEmail200Response> response = apiInstance.SendEmailWithHttpInfo(username, cookie, sendEmailRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.SendEmailWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **sendEmailRequest** | [**SendEmailRequest?**](SendEmailRequest?.md) |  | [optional]  |

### Return type

[**SendEmail200Response**](SendEmail200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json, multipart/form-data
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | The response body for a successful request will contain a hash in the “data” field. The value of this data field is an array which lists the unique sendmail_id codes for each of the messages sent. These codes can be used in the reporting API functions to look up delivery status and other message details.  If multiple messages were sent in a single API call, multiple sendmail_id codes will be returned and the order of the codes in the array will exactly match the order of the messages in the API call. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="sendsecureemailorsecuretext"></a>
# **SendSecureEmailOrSecureText**
> Authentication201Response SendSecureEmailOrSecureText (string username, string? cookie = null, SendSecureEmailOrSecureTextRequest? sendSecureEmailOrSecureTextRequest = null)



Send Secure Email and/or SecureText messages through your WebMail servers.  This API endpoint is deprecated; use the sendEmail endpoint instead. See [sendEmail vs sendSecureEmailOrSecureText endpoints](/rest-api/sending-email.html) for sending email via the LuxSci API. {{ACL: User Email: Sending}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class SendSecureEmailOrSecureTextExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var sendSecureEmailOrSecureTextRequest = new SendSecureEmailOrSecureTextRequest?(); // SendSecureEmailOrSecureTextRequest? |  (optional) 

            try
            {
                Authentication201Response result = apiInstance.SendSecureEmailOrSecureText(username, cookie, sendSecureEmailOrSecureTextRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.SendSecureEmailOrSecureText: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the SendSecureEmailOrSecureTextWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<Authentication201Response> response = apiInstance.SendSecureEmailOrSecureTextWithHttpInfo(username, cookie, sendSecureEmailOrSecureTextRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.SendSecureEmailOrSecureTextWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **sendSecureEmailOrSecureTextRequest** | [**SendSecureEmailOrSecureTextRequest?**](SendSecureEmailOrSecureTextRequest?.md) |  | [optional]  |

### Return type

[**Authentication201Response**](Authentication201Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | \&quot;\&quot; |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="updateemailcontenttag"></a>
# **UpdateEmailContentTag**
> UpdateUser200Response UpdateEmailContentTag (string username, string tagId, string? cookie = null, ContentTag? contentTag = null)



This content tag update call will update/replace ALL FIELDS. So, include all fields, as omitted fields will be treated as if you are updating them with empty or false values.  This is effectively just like deleting the old tag with this `tag_id` and replacing it with the new data. Note, this call does not allow you to change the type of a Contet Tag or alter the inclusion rules for Dynamic Content Tags. {{ACL: User Email: Templates}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class UpdateEmailContentTagExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var tagId = "tagId_example";  // string | tag_id can be either the unique numerical tag_id or the code_word.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var contentTag = new ContentTag?(); // ContentTag? |  (optional) 

            try
            {
                UpdateUser200Response result = apiInstance.UpdateEmailContentTag(username, tagId, cookie, contentTag);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.UpdateEmailContentTag: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the UpdateEmailContentTagWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<UpdateUser200Response> response = apiInstance.UpdateEmailContentTagWithHttpInfo(username, tagId, cookie, contentTag);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.UpdateEmailContentTagWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **tagId** | **string** | tag_id can be either the unique numerical tag_id or the code_word. |  |
| **cookie** | **string?** |  | [optional]  |
| **contentTag** | [**ContentTag?**](ContentTag?.md) |  | [optional]  |

### Return type

[**UpdateUser200Response**](UpdateUser200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | None |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="updateemailtemplate"></a>
# **UpdateEmailTemplate**
> UpdateUser200Response UpdateEmailTemplate (string username, string templateId, string? cookie = null, Template? template = null)



This template update call will update/replace ALL FIELDS. So, include all fields, as omitted fields will be treated as if you are updating them with empty or false values.  This is effectively just like deleting the old template with this `template_id` and replacing it with the new data.  Note, any template updated from the API will be required to use the WYSIWYG template editor when edited in the user interface. {{ACL: User Email: Templates}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class UpdateEmailTemplateExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var templateId = "templateId_example";  // string | template_id can be either the unique numerical template_id or the text code_word.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var template = new Template?(); // Template? |  (optional) 

            try
            {
                UpdateUser200Response result = apiInstance.UpdateEmailTemplate(username, templateId, cookie, template);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.UpdateEmailTemplate: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the UpdateEmailTemplateWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<UpdateUser200Response> response = apiInstance.UpdateEmailTemplateWithHttpInfo(username, templateId, cookie, template);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.UpdateEmailTemplateWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **templateId** | **string** | template_id can be either the unique numerical template_id or the text code_word. |  |
| **cookie** | **string?** |  | [optional]  |
| **template** | [**Template?**](Template?.md) |  | [optional]  |

### Return type

[**UpdateUser200Response**](UpdateUser200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | None |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="updateemailtemplategroup"></a>
# **UpdateEmailTemplateGroup**
> UpdateUser200Response UpdateEmailTemplateGroup (string username, string templateGroupId, string? cookie = null, CreateEmailTemplateGroupRequest? createEmailTemplateGroupRequest = null)



Update the Template Group name. {{ACL: User Email: Templates}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class UpdateEmailTemplateGroupExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new EmailSendingApi(config);
            var username = "username_example";  // string | 
            var templateGroupId = "templateGroupId_example";  // string | Unique Id for this template group.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var createEmailTemplateGroupRequest = new CreateEmailTemplateGroupRequest?(); // CreateEmailTemplateGroupRequest? |  (optional) 

            try
            {
                UpdateUser200Response result = apiInstance.UpdateEmailTemplateGroup(username, templateGroupId, cookie, createEmailTemplateGroupRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling EmailSendingApi.UpdateEmailTemplateGroup: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the UpdateEmailTemplateGroupWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<UpdateUser200Response> response = apiInstance.UpdateEmailTemplateGroupWithHttpInfo(username, templateGroupId, cookie, createEmailTemplateGroupRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling EmailSendingApi.UpdateEmailTemplateGroupWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **templateGroupId** | **string** | Unique Id for this template group. |  |
| **cookie** | **string?** |  | [optional]  |
| **createEmailTemplateGroupRequest** | [**CreateEmailTemplateGroupRequest?**](CreateEmailTemplateGroupRequest?.md) |  | [optional]  |

### Return type

[**UpdateUser200Response**](UpdateUser200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | None |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

