# Luxsci.Model.GetServerStatus200ResponseDataAllOf

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**CpuPctLoad1** | **int** | Percentage CPU utilization per core over the past 1 minute. This is derived from the Linux “uptime” command and is computed as the “(1-minute load average) * 100% / (CPU Cores)” | [optional] 
**CpuPctLoad5** | **int** | Percentage CPU utilization per core over the past 5 minutes. | [optional] 
**CpuPctLoad10** | **int** | Percentage CPU utilization per core over the past 15 minutes. | [optional] 
**SecondsSinceReboot** | **int** | Number of seconds since the server was last rebooted. This is derived from the “uptime” Linux command. | [optional] 
**RamFreeMb** | **string** | Megabyes of RAM still available for use. This does not include swap space but does include used cache and buffer space. | [optional] 
**RamPctUsed** | **int** | Percentage of the RAM that is used, based on ram_free_mb and ram_gb | [optional] 
**SwapMb** | **int** | MB of SWAP space that the server has | [optional] 
**SwapFreeMb** | **int** | MB of SWAP space that is not used. | [optional] 
**SwapPctUsed** | **int** | Percentage of the SWAP space that is in use. | [optional] 
**BwInMb** | **decimal** | MB of inbound bandwidth, across all protocols, recorded over the most recent 15-minute interval. | [optional] 
**BwOutMb** | **decimal** | MB of outbound bandwidth, across all protocols, recorded over the most recent 15-minute interval. | [optional] 
**BwInRateMbps** | **decimal** | Megabytes/second of average sustained inbound bandwidth observed over the most recent 15-minute interval. | [optional] 
**BwOutRateMbps** | **decimal** | Megabytes/second of average sustained outbound bandwidth observed over the most recent 15-minute interval. | [optional] 
**MailQueueProcessingPaused** | **int** | Values 1 or 0.  When 1, processing of additional messages (the ones indicated in the mail_queue_unprocessed parameter is suspended.  This does not impact messages that have been processed and are merely trying to be delivered. | [optional] 
**MailQueueTrying** | **int** | Number of email messages that are in the email queues waiting to be delivered to their ultimate recipients. This includes messages that have tried and failed to be delivered due to temporary failures or blocks. | [optional] 
**MailQueueUnprocessed** | **int** | Number of email messages that have been received, but which are waiting to be processed (i.e., for encryption or other activities) before being re-queued for delivery to their ultimate recipients. Note: if you have delivery rate limiting on, messages that are not being processed and delivered due to IP Warmup Rate Limiting will show as unprocessed. | [optional] 
**MailQueueWarmupOn** | **int** | Values 1 or 0.  When 1, automatic progression of the email processing rate limit is enabled based on sending volume.  When 0, the mail_queue_warmup_rate_hr not automatically change. | [optional] 
**MailQueueWarmupRateHr** | **int** | Integer value -1 or 20+.  This is the maximum number of messages that will be processed for delivery per hour for IP Warmup reasons.  This value is divided into parts which determine the actual per-5-minute processing rate.   A value of -1 indicates that the processing rate is not limited. | [optional] 
**Disks** | **List&lt;string&gt;** | Array This is an array of hashes, one for each mount point on the server. The hashes for each mount point include the following keywords: - mount – the name of the mount point - size_mb – the size of the disk in MB  - used_mb – the space used in MB - io_used_pct – the disk IO utilization percentage. When this is high, processes that read and write to the drive will be slower. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

