# Luxsci.Model.SendSecureEmailOrSecureTextRequest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Attachments** | **List&lt;Object&gt;** | Optional. If included, this is an array of JSON objects, one for each uploaded file. See the General API Usage Guide for how to upload files with your request. The individual JSON objects will have the following keywords and values: &#x60;name&#x60; – The exact filename of the uploaded file. &#x60;hash&#x60; – The SHA256 hex-encoded hash of the content of this file. | [optional] 
**Bcc** | **List&lt;string&gt;** | Optional. Array of email addresses for the recipients in the “Bcc” of the message. | [optional] 
**Body** | **string** | Required. The body content of this message. This can be either a block of plain text (\\n or \\r\\n – UNIX or Windows style linefeeds are recommended) or a block of HTML content. For best results, HTML content should NOT be a completed HTML Document, but what you would put inside &lt;body&gt; … &lt;/body&gt; tags. If you need to include a complete, arbitrary HTML document, we recommend uploading that as an attached file. See the “body_type” parameter. | 
**BodyType** | **string** | Optional. If included, this must be “text” or “html”. If omitted, it takes on the value “text”. The body_type parameter indicates what content is being passed in the “body” field. | [optional] 
**Cc** | **List&lt;string&gt;** | Optional. Array of email addresses for the recipients in the “Cc” of the message. | [optional] 
**FromAddress** | **string** | Optional. Email address to use as the “From address” for this message. If omitted, the sending user’s login email address will be used. Note that it is against the terms of service to use an address here that does not belong to you or for which you do not otherwise have permission to send from. | [optional] 
**FromName** | **string** | Optional. The plain text name of the sender. If omitted, the sending user’s “contact” name (from his/her profile) will be used. If that is empty, then the “from_address” will be used. The from name can be a maximum of 100 characters long. | [optional] 
**NoTlsOnly** | **int** | Optional. If this is passed and is true (1), then no email messages to recipients will be allowed to be sent using “TLS Only” – other encryption methods (e.g. Escrow) will be used. SecureText messages are never sent via TLS only. | [optional] 
**Receipt** | **int** | Optional. If set to “1”, a read receipt will be requested. For SecureLine Escrow and SecureText, these read receipts will always be sent back on the 1st time the message is viewed by each recipient … the recipient has no say in the matter and no indication of if this is happening. | [optional] 
**ReplyAddress** | **string** | Optional. Email address to use as the “Reply-To address” for this message. If omitted, the from address will be used. Note that it is against the terms of service to use an address here that does not belong to you or for which you do not otherwise have permission to send from. | [optional] 
**SeclineAEmail** | **string** | Optional. For email messages sent via SecureLine Escrow where Question/Answer pairs are being used for authentication, this answer will be used for the recipient whose email address is “[email]”. This overrides any other answer that may have otherwise been used. | [optional] 
**SeclineKeepEmail** | **int** | Optional. (Days) For ALL email messages sent via SecureLine Escrow and SecureText, this this will be used as the integer number of days before the message accessible for recipient [email] expires from access. Note that you can have different expirations for different recipients of the same message. Once the message has expired for all recipients, the encrypted message data itself is deleted from the system. | [optional] 
**SeclineQEmail** | **string** | Optional. For email messages sent via SecureLine Escrow where Question/Answer pairs are being used for authentication, this question will be used for the recipient whose email address is “[email]”. E.g. use “secline_q_bob@domain.com” as the key for the question for recipient “bob@domain.com”. This overrides any other question that may have otherwise been used. If you set this question value to just an asterisk, “*”, then SecureSend portal login will be used for recipient authentication instead of an explicit question and answer. It does not matter what you specify for “secline_a_...” in this case. | [optional] 
**Subject** | **string** | Required. Subject of this message. This can be a maximum of 1000 characters long. Leading and training spaces are automatically trimmed from this subject. | 
**Template** | **string** | Optional. If provided, this must be the “Template ID” or template “Code Word” corresponding to an “SMTP or API Email Template” in the sender’s account. This template will be used to set the subject and body of the message (overriding any other subject and body data sent in your API call). Note, any attachments that you include in the API call will still be attached to the templated email message. Note that the templates “flags” may affect how the message is encrypted and delivered. Note also that this API call does not support the “Both HTML and Plain Text” template option to specify separate custom values for the alternative text and HTML parts of a message.  If you use such a template, the HTML part will be used and  the plain text versions will be auto-converted from that HTML. This is consistent with the way this API call works in general.  If you really need different plain text and HTML parts, use the “/email/send” API call. | [optional] 
**TemplateData** | **Object** | If you specify a “template” which has dynamic place holders, you can specify the keywords and respective values to substitute into the template in this field. The value of the “template_data” field is an associated array (object) with the fields/keywords being the template place holder keywords and the values of those keywords being the values to be substituted. | [optional] 
**TemplateDataRaw** | **int** | Optional. If passed with a value of “1” then the contents of template_data will be substituted into the template place holders “as is” exactly as passed. This is appropriate for passing content marked up with HTML and inserting that into and HTML-formatted email. The default, “0”, assumes the template_data is plain text content. In this context, the data will be appropriately quoted when being substituted into HTML-formatted email. E.g., special HTML characters like “&lt;” will be converted into HTML entitles like “&amp;lt;” and web links will be converted into clickable links | [optional] 
**To** | **List&lt;string&gt;** | Optional. Array of email addresses for the recipients in the “To” of the message. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

