# Luxsci.Model.UpdateUserSettingsRequest

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**AddService** | **string** | Enable the specified service for the user.Valid service names include: - “pop” – POP3 access to email - “imap” – IMAP4 access to email - “smtp” – SMTP for sending email - “spam” – Basic Spam and Virus Filtering - “ftp” – SFTP access - “website” – permission to login to the Web Interface  SFTP service can only be added to users in accounts with web server access.  If your account does not have enough licenses to add the requested service to the user, then the request will error out unless you have “Permit auto-upgrades as needed to fulfill request” enabled in your API Interface access control settings; in that case, your account will be upgraded and charged for the added licenses. | [optional] 
**CopyPreferencesFrom** | **string** | Pass the user name of another user in this account (e.g. “john@domain.com”). Web Interface preferences will be copied from that user into the API target user (items like time zone, language, date and time formatting preferences, some WebMail interface preferences, etc.). | [optional] 
**Disable** | **int** | If a “1” is passed, then the user will be disabled. Disabling a user simply prevents the user from logging into any services. It does not affect the user’s data and it does not block incoming email. This action is performed by temporarily changing the user’s password to a random string.  Only currently-enabled users can be disabled. {{ACL: Account: Enable/Disable/Delete users}} | [optional] 
**DiskQuota** | **decimal** | Set a new hard total disk quota for this user. The value passed should be in Gigabytes. E.g. a value of 0.5 would set the limit to 500 MB. A value of zero is not permitted. A negative value will clear the disk quota ... resulting in the user no longer having a disk space limit (which is the default for all users).  Disk space is measured hourly. If the user’s individual disk usage (the sum of all disk space used by email, web, ftp, WebAides, etc.) exceeds his/her disk space quota, then many services will be explicitly disabled and incoming email will bounce. Since the disk usage is only checked hourly, it is possible that the user’s disk space usage will exceed the quota before the user’s account is suspended. | [optional] 
**Enable** | **int** | If a “1” is passed, then the user will be re-enabled. Only currently-disabled users can be enabled.  {{ACL: Account: Enable/Disable/Delete users}} | [optional] 
**RemoveFlag** | **string** | flag_name type. Remove the specified flag from the user. | [optional] 
**RemoveService** | **string** | service_name type. Remove the specified service from the user. | [optional] 
**SetFlag** | **string** | flag_name type. Enable the specified flag on this user. Valid flags include: - “poor_password” – User must change his/her password on the next login to the Web Interface - “can_autodelete” – User account can be auto-deleted if the user has not logged in in a long time&#39; | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

