# Luxsci.Api.ReportsApi

All URIs are relative to *https://rest.luxsci.com/perl/api/v2*, unless a hostname is provided ([see README](../README.md#documentation-for-api-endpoints))

| Method | HTTP request | Description |
|--------|--------------|-------------|
| [**GetAccountJob**](ReportsApi.md#getaccountjob) | **GET** /account/{accountId}/job/{job_id} |  |
| [**GetAccountJobs**](ReportsApi.md#getaccountjobs) | **GET** /account/{accountId}/jobs |  |
| [**GetAccountSuppressionReport**](ReportsApi.md#getaccountsuppressionreport) | **GET** /account/{accountId}/suppression_v2/ |  |
| [**GetAccountSuppressionSummaryReport**](ReportsApi.md#getaccountsuppressionsummaryreport) | **GET** /account/{accountId}/suppression_count/ |  |
| [**GetEmailFeedBackLoopsReportAccount**](ReportsApi.md#getemailfeedbackloopsreportaccount) | **GET** /account/{accountId}/report/email/fbl |  |
| [**GetEmailFeedBackLoopsSummaryReportAccount**](ReportsApi.md#getemailfeedbackloopssummaryreportaccount) | **GET** /account/{accountId}/report/email/fbl_count |  |
| [**GetEmailSMTPClickReportAccount**](ReportsApi.md#getemailsmtpclickreportaccount) | **GET** /account/{accountId}/report/email/smtp/clicks |  |
| [**GetEmailSMTPClickSummaryReportAccount**](ReportsApi.md#getemailsmtpclicksummaryreportaccount) | **GET** /account/{accountId}/report/email/smtp/clicks_count |  |
| [**GetEmailSMTPDeliveryStatusReportAccount**](ReportsApi.md#getemailsmtpdeliverystatusreportaccount) | **GET** /account/{accountId}/report/email/smtp/delivery |  |
| [**GetEmailSMTPDeliveryStatusSummaryReportAccount**](ReportsApi.md#getemailsmtpdeliverystatussummaryreportaccount) | **GET** /account/{accountId}/report/email/smtp/delivery_count |  |
| [**GetEmailSMTPOpenReportAccount**](ReportsApi.md#getemailsmtpopenreportaccount) | **GET** /account/{accountId}/report/email/smtp/opens |  |
| [**GetEmailSMTPOpenSummaryReportAccount**](ReportsApi.md#getemailsmtpopensummaryreportaccount) | **GET** /account/{accountId}/report/email/smtp/opens_count |  |
| [**GetEmailSMTPSentReportAccount**](ReportsApi.md#getemailsmtpsentreportaccount) | **GET** /account/{accountId}/report/email/smtp/sent |  |
| [**GetEmailSMTPTempFailReportAccount**](ReportsApi.md#getemailsmtptempfailreportaccount) | **GET** /account/{accountId}/report/email/smtp/temp_fail |  |
| [**GetEmailWebMailClickReportAccount**](ReportsApi.md#getemailwebmailclickreportaccount) | **GET** /account/{accountId}/report/email/webmail/clicks |  |
| [**GetEmailWebMailDeliveryStatusReportAccount**](ReportsApi.md#getemailwebmaildeliverystatusreportaccount) | **GET** /account/{accountId}/report/email/webmail/delivery |  |
| [**GetEmailWebMailOpenReportAccount**](ReportsApi.md#getemailwebmailopenreportaccount) | **GET** /account/{accountId}/report/email/webmail/opens |  |
| [**GetEmailWebMailSentReportAccount**](ReportsApi.md#getemailwebmailsentreportaccount) | **GET** /account/{accountId}/report/email/webmail/sent |  |
| [**GetSMTPLoginFailureReportAccount**](ReportsApi.md#getsmtploginfailurereportaccount) | **GET** /account/{accountId}/report/login_fail/smtp |  |

<a name="getaccountjob"></a>
# **GetAccountJob**
> GetUserJob200Response GetAccountJob (string accountId, int jobId, string? cookie = null)



Return the details of a specific asynchronous reporting job. If the job_id is not found, a not found API error will be emitted.

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetAccountJobExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var jobId = 56;  // int | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetUserJob200Response result = apiInstance.GetAccountJob(accountId, jobId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetAccountJob: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetAccountJobWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserJob200Response> response = apiInstance.GetAccountJobWithHttpInfo(accountId, jobId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetAccountJobWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **jobId** | **int** |  |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetUserJob200Response**](GetUserJob200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | This will return an associated array containing standard job description details. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getaccountjobs"></a>
# **GetAccountJobs**
> GetUserJobs200Response GetAccountJobs (string accountId, string? cookie = null)



Return a list of all asynchronous reporting jobs submitted by this account in the past 7 days.

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetAccountJobsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetUserJobs200Response result = apiInstance.GetAccountJobs(accountId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetAccountJobs: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetAccountJobsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserJobs200Response> response = apiInstance.GetAccountJobsWithHttpInfo(accountId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetAccountJobsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetUserJobs200Response**](GetUserJobs200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | This will return a list of associated arrays each containing standard job description details. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getaccountsuppressionreport"></a>
# **GetAccountSuppressionReport**
> GetUserSuppressionSummaryReport200Response GetAccountSuppressionReport (string accountId, string? cookie = null, string? email = null, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null)



Retrieve all email suppressions at the account level (only) using a report-style call.  See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sup). {{ACL: User Email: Suppression}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetAccountSuppressionReportExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var cookie = "cookie_example";  // string? |  (optional) 
            var email = "email_example";  // string? | Restrict the report to suppressions of this specific email address. (optional) 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 

            try
            {
                GetUserSuppressionSummaryReport200Response result = apiInstance.GetAccountSuppressionReport(accountId, cookie, email, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetAccountSuppressionReport: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetAccountSuppressionReportWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserSuppressionSummaryReport200Response> response = apiInstance.GetAccountSuppressionReportWithHttpInfo(accountId, cookie, email, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetAccountSuppressionReportWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **email** | **string?** | Restrict the report to suppressions of this specific email address. | [optional]  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |

### Return type

[**GetUserSuppressionSummaryReport200Response**](GetUserSuppressionSummaryReport200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Report of suppressions |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getaccountsuppressionsummaryreport"></a>
# **GetAccountSuppressionSummaryReport**
> GetUserSuppressionSummaryReport200Response GetAccountSuppressionSummaryReport (string accountId, string? cookie = null, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null, string? filter1 = null, string? filter2 = null, string? filter3 = null)



Retrieve a count of the matching email suppressions at the account level (only) using a report-style call.  Dates are based on the date that the suppression was added.  See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response](/rest-api/report-responses.html#sup_count)   {{ACL: User Email: Suppression}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetAccountSuppressionSummaryReportExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var cookie = "cookie_example";  // string? |  (optional) 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var filter1 = "filter1_example";  // string? | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters (optional) 
            var filter2 = "filter2_example";  // string? | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters (optional) 
            var filter3 = "filter3_example";  // string? | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters (optional) 

            try
            {
                GetUserSuppressionSummaryReport200Response result = apiInstance.GetAccountSuppressionSummaryReport(accountId, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, filter1, filter2, filter3);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetAccountSuppressionSummaryReport: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetAccountSuppressionSummaryReportWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserSuppressionSummaryReport200Response> response = apiInstance.GetAccountSuppressionSummaryReportWithHttpInfo(accountId, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, filter1, filter2, filter3);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetAccountSuppressionSummaryReportWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **filter1** | **string?** | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters | [optional]  |
| **filter2** | **string?** | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters | [optional]  |
| **filter3** | **string?** | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters | [optional]  |

### Return type

[**GetUserSuppressionSummaryReport200Response**](GetUserSuppressionSummaryReport200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Report the count of matching suppressions.  The returned field name for this count is suppressions. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailfeedbackloopsreportaccount"></a>
# **GetEmailFeedBackLoopsReportAccount**
> GetUserSuppressionSummaryReport200Response GetEmailFeedBackLoopsReportAccount (string accountId, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null, string? from = null, string? subject = null, string? to = null, int? userId = null, string? cookie = null)



This report allows to see what messages that you have sent successfully have been “marked as spam” by recipients and this information has come back to us via one of our feedback loops. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response](/rest-api/report-responses.html#fbl). {{ACL: Account: View Reports}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailFeedBackLoopsReportAccountExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var from = "from_example";  // string? | Case-insensitive substring search of the message “From” email address (optional) 
            var subject = "subject_example";  // string? | Case-insensitive substring search of the message subject (in UTF-8). (optional) 
            var to = "to_example";  // string? | Case-insensitive substring search of all recipient email addresses. (optional) 
            var userId = 56;  // int? | Restrict the report to the user with this specific User ID number. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetUserSuppressionSummaryReport200Response result = apiInstance.GetEmailFeedBackLoopsReportAccount(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, from, subject, to, userId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetEmailFeedBackLoopsReportAccount: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailFeedBackLoopsReportAccountWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserSuppressionSummaryReport200Response> response = apiInstance.GetEmailFeedBackLoopsReportAccountWithHttpInfo(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, from, subject, to, userId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetEmailFeedBackLoopsReportAccountWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **from** | **string?** | Case-insensitive substring search of the message “From” email address | [optional]  |
| **subject** | **string?** | Case-insensitive substring search of the message subject (in UTF-8). | [optional]  |
| **to** | **string?** | Case-insensitive substring search of all recipient email addresses. | [optional]  |
| **userId** | **int?** | Restrict the report to the user with this specific User ID number. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetUserSuppressionSummaryReport200Response**](GetUserSuppressionSummaryReport200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Report content |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailfeedbackloopssummaryreportaccount"></a>
# **GetEmailFeedBackLoopsSummaryReportAccount**
> GetUserSuppressionSummaryReport200Response GetEmailFeedBackLoopsSummaryReportAccount (string accountId, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null, string? filter1 = null, string? filter2 = null, string? filter3 = null, string? from = null, string? subject = null, string? to = null, int? userId = null, string? cookie = null)



This report allows to see how many messages have been marked as spam.  The date of the compliant is used for date filters. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response](/rest-api/report-responses.html#fbl_count). {{ACL: Account: View Reports}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailFeedBackLoopsSummaryReportAccountExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var filter1 = "filter1_example";  // string? | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters (optional) 
            var filter2 = "filter2_example";  // string? | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters (optional) 
            var filter3 = "filter3_example";  // string? | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters (optional) 
            var from = "from_example";  // string? | String Case-insensitive substring search of the message “From” email address (optional) 
            var subject = "subject_example";  // string? | String Case-insensitive substring search of the message subject (in UTF-8). (optional) 
            var to = "to_example";  // string? | String. Case-insensitive substring search of all recipient email addresses. (optional) 
            var userId = 56;  // int? | Integer Restrict the report to the user with this specific User ID number. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetUserSuppressionSummaryReport200Response result = apiInstance.GetEmailFeedBackLoopsSummaryReportAccount(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, filter1, filter2, filter3, from, subject, to, userId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetEmailFeedBackLoopsSummaryReportAccount: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailFeedBackLoopsSummaryReportAccountWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserSuppressionSummaryReport200Response> response = apiInstance.GetEmailFeedBackLoopsSummaryReportAccountWithHttpInfo(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, filter1, filter2, filter3, from, subject, to, userId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetEmailFeedBackLoopsSummaryReportAccountWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **filter1** | **string?** | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters | [optional]  |
| **filter2** | **string?** | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters | [optional]  |
| **filter3** | **string?** | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters | [optional]  |
| **from** | **string?** | String Case-insensitive substring search of the message “From” email address | [optional]  |
| **subject** | **string?** | String Case-insensitive substring search of the message subject (in UTF-8). | [optional]  |
| **to** | **string?** | String. Case-insensitive substring search of all recipient email addresses. | [optional]  |
| **userId** | **int?** | Integer Restrict the report to the user with this specific User ID number. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetUserSuppressionSummaryReport200Response**](GetUserSuppressionSummaryReport200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Report content. The summary header field is named compliants. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailsmtpclickreportaccount"></a>
# **GetEmailSMTPClickReportAccount**
> GetUserSuppressionSummaryReport200Response GetEmailSMTPClickReportAccount (string accountId, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null, string? from = null, int? clicked = null, string? clickDate = null, string? header1 = null, string? header1Operator = null, string? header1Value = null, string? header2 = null, string? header2Operator = null, string? header2Value = null, string? header3 = null, string? header3Operator = null, string? header3Value = null, int? opened = null, string? sendmailId = null, string? sendmailIds = null, string? status = null, string? subject = null, int? templateId = null, string? to = null, string? trackedHeaders = null, string? userId = null, string? url = null, string? cookie = null)



This report allows you to query on the “URL click” events (or lack thereof) for email messages sent via SMTP that have email click tracking enabled. Using this command, it is possible to get a report of all individual clicks or to get reports about messages that have not yet been clicked on or for which click tracking was not enabled. See the query parameters for more detail.  *Note: if you are using LuxSci Secure Marketing v2 to send your email messages, then normal LuxSci click and open reporting is disabled (and you will not see click and open data in this report). The LuxSci Secure Marketing v2 platform his its own click and open tracking and reporting system and you should look in that interface for reports.*  See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response](/rest-api/report-responses.html#click).  Dates, for the purposes of narrowing results, refer to the date the message was sent. This corresponds to the “date_sent” output field. However, if you set the “click_date” input parameter to true, then the “click_date” field will be used for date selections. {{ACL: Account: View Reports}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailSMTPClickReportAccountExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var from = "from_example";  // string? | Case-insensitive substring search of the message “From” email address (optional) 
            var clicked = 56;  // int? | If specified, the results are restricted as follows:<br>clicked < 0 – select messages where click tracking was not enabled.<br>clicked = 0 – select messages where click tracking was enabled, but where no URLs have yet been clicked by the recipient.<br>clicked > 0 – select messages where one or more URLs have been clicked by the recipient. When “clicked” is positive, you will get one row back for each click; so,<i>you can get multiple rows per message</i>.<br><br>If a value for “clicked” is not specified, a value of “1” will be assumed. (optional) 
            var clickDate = "clickDate_example";  // string? | If true, the ”click_date” field will be used for all date selections. If false or not specified, the sent date (“date_sent”) will be used. (optional) 
            var header1 = "header1_example";  // string? | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.<br><br>NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration > Email” area of the LuxSci user interface. (optional) 
            var header1Operator = "is";  // string? | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:<ul> <li>is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value</li> <li>not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value</li> <li>like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value</li> <li>notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value</li></ul>I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:<ul><li>header1 = “X-My-Header”</li><li>header1_operator = “is”</li><li>header1_value = “gh6577hh-abc”</li></ul>Or by passing:<ul><li>header1 = “X-My-Header”,/li><li>header1_operator = “like”</li><li>header1_value = “abc”</li> (optional) 
            var header1Value = "header1Value_example";  // string? | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. (optional) 
            var header2 = "header2_example";  // string? | Like “header1” but applies to searching the header 2 column. (optional) 
            var header2Operator = "header2Operator_example";  // string? | Like “header1_operator” but applies to searching the header 2 column. (optional) 
            var header2Value = "header2Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var header3 = "header3_example";  // string? | Like “header1” but applies to searching the header 3 column. (optional) 
            var header3Operator = "header3Operator_example";  // string? | Like “header1_operator” but applies to searching the header 3 column. (optional) 
            var header3Value = "header3Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var opened = 56;  // int? | If specified, the results are restricted as follows:<br>opened < 0 – select messages where open tracking was not enabled.<br>opened = 0 – select messages where open tracking was enabled, but which have not yet been opened.<br>opened > 0 – select messages where open tracking was enabled, and which have been opened at least once.  (optional) 
            var sendmailId = "sendmailId_example";  // string? | String. Return only the messages with the specified sendmail_id (optional) 
            var sendmailIds = "sendmailIds_example";  // string? | Comma-delimited list of up to 100 sendmail ids. Returns any matching messages. (optional) 
            var status = "status_example";  // string? | Values:<br><b>delivered</b> – Accepted by the recipient’s email servers and presumed delivered. If bounce processing is enabled, then this status could change later to ba_soft_fail or ba_hard_fail.<br><b>perm_fail</b> – Messages that have permanently failed to be delivered to the recipient’s servers. If bounce processing is on, this status could change shortly to ba_soft_fail, depending on the nature of the failure message.<br><b>lost</b> – Messages where the tracking was lost and it is unclear if it was delivered or lost from the queue.<br><b>queued</b> – Message is in the email server queue still waiting to be delivered to the recipient.<br><b>not_queued</b> - - all statuses except \"queued\". <br><b>ba_soft_fail</b> – Soft failure bounces received (when talking to the recipient’s servers or after successful delivery to the recipient’s servers).<br><b>ba_hard_fail</b> – Hard failure bounces received after successful delivery to the recipient’s servers,<br><b>any_hard_fail</b> – Results for ba_hard_fail OR perm_fail. I.e., all hard/permanent failures. (optional) 
            var subject = "subject_example";  // string? | Case-insensitive substring search of the message subject (in UTF8). (optional) 
            var templateId = 56;  // int? | Optional template ID to select results only for those messages sent using the specified template.  A value of 0 selects all. (optional) 
            var to = "to_example";  // string? | Case-insensitive substring search of all recipient email addresses. (optional) 
            var trackedHeaders = "trackedHeaders_example";  // string? | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. (optional) 
            var userId = "userId_example";  // string? | Restrict the report to the user with this specific User ID number (optional) 
            var url = "url_example";  // string? | Substring match on the URL clicked. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetUserSuppressionSummaryReport200Response result = apiInstance.GetEmailSMTPClickReportAccount(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, from, clicked, clickDate, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, opened, sendmailId, sendmailIds, status, subject, templateId, to, trackedHeaders, userId, url);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetEmailSMTPClickReportAccount: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailSMTPClickReportAccountWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserSuppressionSummaryReport200Response> response = apiInstance.GetEmailSMTPClickReportAccountWithHttpInfo(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, from, clicked, clickDate, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, opened, sendmailId, sendmailIds, status, subject, templateId, to, trackedHeaders, userId, url);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetEmailSMTPClickReportAccountWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **from** | **string?** | Case-insensitive substring search of the message “From” email address | [optional]  |
| **clicked** | **int?** | If specified, the results are restricted as follows:&lt;br&gt;clicked &lt; 0 – select messages where click tracking was not enabled.&lt;br&gt;clicked &#x3D; 0 – select messages where click tracking was enabled, but where no URLs have yet been clicked by the recipient.&lt;br&gt;clicked &gt; 0 – select messages where one or more URLs have been clicked by the recipient. When “clicked” is positive, you will get one row back for each click; so,&lt;i&gt;you can get multiple rows per message&lt;/i&gt;.&lt;br&gt;&lt;br&gt;If a value for “clicked” is not specified, a value of “1” will be assumed. | [optional]  |
| **clickDate** | **string?** | If true, the ”click_date” field will be used for all date selections. If false or not specified, the sent date (“date_sent”) will be used. | [optional]  |
| **header1** | **string?** | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.&lt;br&gt;&lt;br&gt;NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration &gt; Email” area of the LuxSci user interface. | [optional]  |
| **header1Operator** | **string?** | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:&lt;ul&gt; &lt;li&gt;is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value&lt;/li&gt; &lt;li&gt;not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value&lt;/li&gt; &lt;li&gt;like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value&lt;/li&gt; &lt;li&gt;notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value&lt;/li&gt;&lt;/ul&gt;I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”&lt;/li&gt;&lt;li&gt;header1_operator &#x3D; “is”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “gh6577hh-abc”&lt;/li&gt;&lt;/ul&gt;Or by passing:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”,/li&gt;&lt;li&gt;header1_operator &#x3D; “like”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “abc”&lt;/li&gt; | [optional]  |
| **header1Value** | **string?** | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. | [optional]  |
| **header2** | **string?** | Like “header1” but applies to searching the header 2 column. | [optional]  |
| **header2Operator** | **string?** | Like “header1_operator” but applies to searching the header 2 column. | [optional]  |
| **header2Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **header3** | **string?** | Like “header1” but applies to searching the header 3 column. | [optional]  |
| **header3Operator** | **string?** | Like “header1_operator” but applies to searching the header 3 column. | [optional]  |
| **header3Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **opened** | **int?** | If specified, the results are restricted as follows:&lt;br&gt;opened &lt; 0 – select messages where open tracking was not enabled.&lt;br&gt;opened &#x3D; 0 – select messages where open tracking was enabled, but which have not yet been opened.&lt;br&gt;opened &gt; 0 – select messages where open tracking was enabled, and which have been opened at least once.  | [optional]  |
| **sendmailId** | **string?** | String. Return only the messages with the specified sendmail_id | [optional]  |
| **sendmailIds** | **string?** | Comma-delimited list of up to 100 sendmail ids. Returns any matching messages. | [optional]  |
| **status** | **string?** | Values:&lt;br&gt;&lt;b&gt;delivered&lt;/b&gt; – Accepted by the recipient’s email servers and presumed delivered. If bounce processing is enabled, then this status could change later to ba_soft_fail or ba_hard_fail.&lt;br&gt;&lt;b&gt;perm_fail&lt;/b&gt; – Messages that have permanently failed to be delivered to the recipient’s servers. If bounce processing is on, this status could change shortly to ba_soft_fail, depending on the nature of the failure message.&lt;br&gt;&lt;b&gt;lost&lt;/b&gt; – Messages where the tracking was lost and it is unclear if it was delivered or lost from the queue.&lt;br&gt;&lt;b&gt;queued&lt;/b&gt; – Message is in the email server queue still waiting to be delivered to the recipient.&lt;br&gt;&lt;b&gt;not_queued&lt;/b&gt; - - all statuses except \&quot;queued\&quot;. &lt;br&gt;&lt;b&gt;ba_soft_fail&lt;/b&gt; – Soft failure bounces received (when talking to the recipient’s servers or after successful delivery to the recipient’s servers).&lt;br&gt;&lt;b&gt;ba_hard_fail&lt;/b&gt; – Hard failure bounces received after successful delivery to the recipient’s servers,&lt;br&gt;&lt;b&gt;any_hard_fail&lt;/b&gt; – Results for ba_hard_fail OR perm_fail. I.e., all hard/permanent failures. | [optional]  |
| **subject** | **string?** | Case-insensitive substring search of the message subject (in UTF8). | [optional]  |
| **templateId** | **int?** | Optional template ID to select results only for those messages sent using the specified template.  A value of 0 selects all. | [optional]  |
| **to** | **string?** | Case-insensitive substring search of all recipient email addresses. | [optional]  |
| **trackedHeaders** | **string?** | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. | [optional]  |
| **userId** | **string?** | Restrict the report to the user with this specific User ID number | [optional]  |
| **url** | **string?** | Substring match on the URL clicked. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetUserSuppressionSummaryReport200Response**](GetUserSuppressionSummaryReport200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Report content |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailsmtpclicksummaryreportaccount"></a>
# **GetEmailSMTPClickSummaryReportAccount**
> GetUserSuppressionSummaryReport200Response GetEmailSMTPClickSummaryReportAccount (string accountId, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null, string? filter1 = null, string? filter2 = null, string? filter3 = null, string? from = null, string? header1 = null, string? header1Operator = null, string? header1Value = null, string? header2 = null, string? header2Operator = null, string? header2Value = null, string? header3 = null, string? header3Operator = null, string? header3Value = null, string? subject = null, string? trackedHeaders = null, int? templateId = null, string? userId = null, string? url = null, string? cookie = null)



This report allows you to query the number of clicks on tracked links during the specified date period. *Note that if you are using LuxSci Secure Marketing v2 to send your email messages, then normal LuxSci click and open reporting is disabled (and you will not see click and open data in this report). The LuxSci Secure Marketing v2 platform his its own click and open tracking and reporting system and you should look in that interface for reports.* See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response](/rest-api/report-responses.html#clicks_count). Dates, for the purposes of narrowing results, refer to the date the link was clicked on.  {{ACL: Account: View Reports}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailSMTPClickSummaryReportAccountExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var filter1 = "filter1_example";  // string? | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters (optional) 
            var filter2 = "filter2_example";  // string? | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters (optional) 
            var filter3 = "filter3_example";  // string? | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters (optional) 
            var from = "from_example";  // string? | Case-insensitive substring search of the message “From” email address (optional) 
            var header1 = "header1_example";  // string? | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.<br><br>NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration > Email” area of the LuxSci user interface. (optional) 
            var header1Operator = "is";  // string? | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:<ul> <li>is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value</li> <li>not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value</li> <li>like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value</li> <li>notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value</li></ul>I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:<ul><li>header1 = “X-My-Header”</li><li>header1_operator = “is”</li><li>header1_value = “gh6577hh-abc”</li></ul>Or by passing:<ul><li>header1 = “X-My-Header”,/li><li>header1_operator = “like”</li><li>header1_value = “abc”</li> (optional) 
            var header1Value = "header1Value_example";  // string? | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. (optional) 
            var header2 = "header2_example";  // string? | Like “header1” but applies to searching the header 2 column. (optional) 
            var header2Operator = "header2Operator_example";  // string? | Like “header1_operator” but applies to searching the header 2 column. (optional) 
            var header2Value = "header2Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var header3 = "header3_example";  // string? | Like “header1” but applies to searching the header 3 column. (optional) 
            var header3Operator = "header3Operator_example";  // string? | Like “header1_operator” but applies to searching the header 3 column. (optional) 
            var header3Value = "header3Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var subject = "subject_example";  // string? | Case-insensitive substring search of the message subject (in UTF8). (optional) 
            var trackedHeaders = "trackedHeaders_example";  // string? | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. (optional) 
            var templateId = 56;  // int? | Optional template ID to select results only for those messages sent using the specified template.  A value of 0 selects all. (optional) 
            var userId = "userId_example";  // string? | Restrict the report to the user with this specific User ID number (optional) 
            var url = "url_example";  // string? | Substring match on the URL clicked. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetUserSuppressionSummaryReport200Response result = apiInstance.GetEmailSMTPClickSummaryReportAccount(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, filter1, filter2, filter3, from, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, subject, trackedHeaders, templateId, userId, url);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetEmailSMTPClickSummaryReportAccount: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailSMTPClickSummaryReportAccountWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserSuppressionSummaryReport200Response> response = apiInstance.GetEmailSMTPClickSummaryReportAccountWithHttpInfo(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, filter1, filter2, filter3, from, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, subject, trackedHeaders, templateId, userId, url);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetEmailSMTPClickSummaryReportAccountWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **filter1** | **string?** | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters | [optional]  |
| **filter2** | **string?** | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters | [optional]  |
| **filter3** | **string?** | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters | [optional]  |
| **from** | **string?** | Case-insensitive substring search of the message “From” email address | [optional]  |
| **header1** | **string?** | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.&lt;br&gt;&lt;br&gt;NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration &gt; Email” area of the LuxSci user interface. | [optional]  |
| **header1Operator** | **string?** | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:&lt;ul&gt; &lt;li&gt;is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value&lt;/li&gt; &lt;li&gt;not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value&lt;/li&gt; &lt;li&gt;like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value&lt;/li&gt; &lt;li&gt;notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value&lt;/li&gt;&lt;/ul&gt;I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”&lt;/li&gt;&lt;li&gt;header1_operator &#x3D; “is”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “gh6577hh-abc”&lt;/li&gt;&lt;/ul&gt;Or by passing:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”,/li&gt;&lt;li&gt;header1_operator &#x3D; “like”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “abc”&lt;/li&gt; | [optional]  |
| **header1Value** | **string?** | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. | [optional]  |
| **header2** | **string?** | Like “header1” but applies to searching the header 2 column. | [optional]  |
| **header2Operator** | **string?** | Like “header1_operator” but applies to searching the header 2 column. | [optional]  |
| **header2Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **header3** | **string?** | Like “header1” but applies to searching the header 3 column. | [optional]  |
| **header3Operator** | **string?** | Like “header1_operator” but applies to searching the header 3 column. | [optional]  |
| **header3Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **subject** | **string?** | Case-insensitive substring search of the message subject (in UTF8). | [optional]  |
| **trackedHeaders** | **string?** | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. | [optional]  |
| **templateId** | **int?** | Optional template ID to select results only for those messages sent using the specified template.  A value of 0 selects all. | [optional]  |
| **userId** | **string?** | Restrict the report to the user with this specific User ID number | [optional]  |
| **url** | **string?** | Substring match on the URL clicked. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetUserSuppressionSummaryReport200Response**](GetUserSuppressionSummaryReport200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Report content |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailsmtpdeliverystatusreportaccount"></a>
# **GetEmailSMTPDeliveryStatusReportAccount**
> GetUserSuppressionSummaryReport200Response GetEmailSMTPDeliveryStatusReportAccount (string accountId, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null, int? clicked = null, string? from = null, string? ip = null, string? header1 = null, string? header1Operator = null, string? header1Value = null, string? header2 = null, string? header2Operator = null, string? header2Value = null, string? header3 = null, string? header3Operator = null, string? header3Value = null, int? opened = null, string? secureline = null, string? sendmailId = null, int? sentDate = null, int? deliveryDate = null, string? sendmailIds = null, int? spam = null, int? unsubscribed = null, string? smtpCode = null, int? tls = null, string? trackedHeaders = null, int? templateId = null, string? to = null, int? userId = null, string? cookie = null)



This report allows you to see how each SMTP message was sent to each recipient and what the delivery status is for each of these recipients. Note that delivery status changes over time as messages progress to the recipient’s servers and as bounce messages are sent back and processed. As the delivery status changes, the “last_update” date is also updated.  See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response](/rest-api/report-responses.html#delivery).  Dates, for the purposes of narrowing results, refer to the *date the row was last updated*. This corresponds to the last_update output field. This can be changed to the date the message was sent using the \"sent_date\" parameter or the date of the last delivery status update using the \"delivery_date\" parameter. {{ACL: Account: View Reports}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailSMTPDeliveryStatusReportAccountExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var clicked = 56;  // int? | Integer. If specified, the results are restricted as follows:<br>clicked < 0 – select messages where URL click tracking was not enabled.<br>clicked = 0 – select messages where URL click tracking was enabled, but where there have as yet been no clicks on any clinks in the messages.<br>clicked > 0 – select messages where URL click tracking was enabled and where there have been N or more clicks on links in the same message to the same recipient. N, in this case, is the number that you have specified as the value of the “clicked” parameter. I.e., using a value of “1” matches all messages that have had a link clicked on. (optional) 
            var from = "from_example";  // string? | String. Case-insensitive substring search of the message “From” email Address (optional) 
            var ip = "ip_example";  // string? | String. Case-insensitive substring search of the sender IP address (for SMTP reports only). (optional) 
            var header1 = "header1_example";  // string? | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.<br><br>NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration > Email” area of the LuxSci user interface. (optional) 
            var header1Operator = "is";  // string? | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:<ul> <li>is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value</li> <li>not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value</li> <li>like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value</li> <li>notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value</li></ul>I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:<ul><li>header1 = “X-My-Header”</li><li>header1_operator = “is”</li><li>header1_value = “gh6577hh-abc”</li></ul>Or by passing:<ul><li>header1 = “X-My-Header”,/li><li>header1_operator = “like”</li><li>header1_value = “abc”</li> (optional) 
            var header1Value = "header1Value_example";  // string? | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. (optional) 
            var header2 = "header2_example";  // string? | Like “header1” but applies to searching the header 2 column. (optional) 
            var header2Operator = "header2Operator_example";  // string? | Like “header1_operator” but applies to searching the header 2 column. (optional) 
            var header2Value = "header2Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var header3 = "header3_example";  // string? | Like “header1” but applies to searching the header 3 column. (optional) 
            var header3Operator = "header3Operator_example";  // string? | Like “header1_operator” but applies to searching the header 3 column. (optional) 
            var header3Value = "header3Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var opened = 56;  // int? | Integer. If specified, the results are restricted as follows:<br>opened < 0 – select messages where open tracking was not enabled.<br>opened = 0 – select messages where open tracking was enabled, but which have not yet been opened.<br>opened > 0 – select messages where open tracking was enabled and which have been opened at least N times. N, in this case, is the number that you have specified as the value of the “opened” parameter. I.e., using a value of “1” matches all messages that have been opened. (optional) 
            var secureline = "u";  // string? | Enum. Value:<br>u – Message to this recipient did not use SecureLine (or Opt Out was used)<br>e – Message did use SecureLine<br>-2 – SecureLine was not used due to Opt Out being selected<br>-1 – SecureLine usage not recorded for some reason<br>1 – SecureLine:PGP was used<br>2 – SecureLine:S/MIME was used<br>3 – SecureLine:Escrow was used<br>4 – SecureLine:TLS was used (optional) 
            var sendmailId = "sendmailId_example";  // string? | String. Return only the messages with the specified sendmail_id (optional) 
            var sentDate = 0;  // int? | If set to true (i.e., 1), the email message sent date will be used for date/time selections, instead of the date of the last update of the row. (optional) 
            var deliveryDate = 0;  // int? | If set to true (i.e., 1), the email message last delivery status updated date will be used for date/time selections, instead of the date of the last update of the row. (optional) 
            var sendmailIds = "sendmailIds_example";  // string? | Comma-delimited list of up to 100 sendmail ids. Returns any matching messages. (optional) 
            var spam = 0;  // int? | Enum. Value:<br>0 – Message was not marked as spam by a recipient and returned in a Feed Back Loop.<br>1 – Message was marked as spam by a recipient and returned in a Feed Back Loop (optional) 
            var unsubscribed = 0;  // int? | Enum. Value:<br>0 – Recipient did not unsubscribe based on this email message.<br>1 – Recipeient did unsubscribe based on this email message. (optional) 
            var smtpCode = "smtpCode_example";  // string? | String. 1-3 characters.  Substring match to the beginning of the smtp_code field.  E.g., 5 matches all codes starting with 5. (optional) 
            var tls = 0;  // int? | Enum. Value:<br>0 – TLS was NOT used in the successful delivery of this message to the recipient server<br>1 – TLS was used in the successful delivery of this message to the recipient server (optional) 
            var trackedHeaders = "trackedHeaders_example";  // string? | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. (optional) 
            var templateId = 56;  // int? | Optional template ID to select results only for those messages sent using the specified template.  A value of 0 selects all. (optional) 
            var to = "to_example";  // string? | Case-insensitive substring search of all recipient email addresses. (optional) 
            var userId = 56;  // int? | Integer. Restrict the report to the user with this specific User ID number (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetUserSuppressionSummaryReport200Response result = apiInstance.GetEmailSMTPDeliveryStatusReportAccount(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, clicked, from, ip, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, opened, secureline, sendmailId, sentDate, deliveryDate, sendmailIds, spam, unsubscribed, smtpCode, tls, trackedHeaders, templateId, to, userId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetEmailSMTPDeliveryStatusReportAccount: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailSMTPDeliveryStatusReportAccountWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserSuppressionSummaryReport200Response> response = apiInstance.GetEmailSMTPDeliveryStatusReportAccountWithHttpInfo(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, clicked, from, ip, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, opened, secureline, sendmailId, sentDate, deliveryDate, sendmailIds, spam, unsubscribed, smtpCode, tls, trackedHeaders, templateId, to, userId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetEmailSMTPDeliveryStatusReportAccountWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **clicked** | **int?** | Integer. If specified, the results are restricted as follows:&lt;br&gt;clicked &lt; 0 – select messages where URL click tracking was not enabled.&lt;br&gt;clicked &#x3D; 0 – select messages where URL click tracking was enabled, but where there have as yet been no clicks on any clinks in the messages.&lt;br&gt;clicked &gt; 0 – select messages where URL click tracking was enabled and where there have been N or more clicks on links in the same message to the same recipient. N, in this case, is the number that you have specified as the value of the “clicked” parameter. I.e., using a value of “1” matches all messages that have had a link clicked on. | [optional]  |
| **from** | **string?** | String. Case-insensitive substring search of the message “From” email Address | [optional]  |
| **ip** | **string?** | String. Case-insensitive substring search of the sender IP address (for SMTP reports only). | [optional]  |
| **header1** | **string?** | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.&lt;br&gt;&lt;br&gt;NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration &gt; Email” area of the LuxSci user interface. | [optional]  |
| **header1Operator** | **string?** | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:&lt;ul&gt; &lt;li&gt;is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value&lt;/li&gt; &lt;li&gt;not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value&lt;/li&gt; &lt;li&gt;like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value&lt;/li&gt; &lt;li&gt;notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value&lt;/li&gt;&lt;/ul&gt;I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”&lt;/li&gt;&lt;li&gt;header1_operator &#x3D; “is”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “gh6577hh-abc”&lt;/li&gt;&lt;/ul&gt;Or by passing:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”,/li&gt;&lt;li&gt;header1_operator &#x3D; “like”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “abc”&lt;/li&gt; | [optional]  |
| **header1Value** | **string?** | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. | [optional]  |
| **header2** | **string?** | Like “header1” but applies to searching the header 2 column. | [optional]  |
| **header2Operator** | **string?** | Like “header1_operator” but applies to searching the header 2 column. | [optional]  |
| **header2Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **header3** | **string?** | Like “header1” but applies to searching the header 3 column. | [optional]  |
| **header3Operator** | **string?** | Like “header1_operator” but applies to searching the header 3 column. | [optional]  |
| **header3Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **opened** | **int?** | Integer. If specified, the results are restricted as follows:&lt;br&gt;opened &lt; 0 – select messages where open tracking was not enabled.&lt;br&gt;opened &#x3D; 0 – select messages where open tracking was enabled, but which have not yet been opened.&lt;br&gt;opened &gt; 0 – select messages where open tracking was enabled and which have been opened at least N times. N, in this case, is the number that you have specified as the value of the “opened” parameter. I.e., using a value of “1” matches all messages that have been opened. | [optional]  |
| **secureline** | **string?** | Enum. Value:&lt;br&gt;u – Message to this recipient did not use SecureLine (or Opt Out was used)&lt;br&gt;e – Message did use SecureLine&lt;br&gt;-2 – SecureLine was not used due to Opt Out being selected&lt;br&gt;-1 – SecureLine usage not recorded for some reason&lt;br&gt;1 – SecureLine:PGP was used&lt;br&gt;2 – SecureLine:S/MIME was used&lt;br&gt;3 – SecureLine:Escrow was used&lt;br&gt;4 – SecureLine:TLS was used | [optional]  |
| **sendmailId** | **string?** | String. Return only the messages with the specified sendmail_id | [optional]  |
| **sentDate** | **int?** | If set to true (i.e., 1), the email message sent date will be used for date/time selections, instead of the date of the last update of the row. | [optional]  |
| **deliveryDate** | **int?** | If set to true (i.e., 1), the email message last delivery status updated date will be used for date/time selections, instead of the date of the last update of the row. | [optional]  |
| **sendmailIds** | **string?** | Comma-delimited list of up to 100 sendmail ids. Returns any matching messages. | [optional]  |
| **spam** | **int?** | Enum. Value:&lt;br&gt;0 – Message was not marked as spam by a recipient and returned in a Feed Back Loop.&lt;br&gt;1 – Message was marked as spam by a recipient and returned in a Feed Back Loop | [optional]  |
| **unsubscribed** | **int?** | Enum. Value:&lt;br&gt;0 – Recipient did not unsubscribe based on this email message.&lt;br&gt;1 – Recipeient did unsubscribe based on this email message. | [optional]  |
| **smtpCode** | **string?** | String. 1-3 characters.  Substring match to the beginning of the smtp_code field.  E.g., 5 matches all codes starting with 5. | [optional]  |
| **tls** | **int?** | Enum. Value:&lt;br&gt;0 – TLS was NOT used in the successful delivery of this message to the recipient server&lt;br&gt;1 – TLS was used in the successful delivery of this message to the recipient server | [optional]  |
| **trackedHeaders** | **string?** | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. | [optional]  |
| **templateId** | **int?** | Optional template ID to select results only for those messages sent using the specified template.  A value of 0 selects all. | [optional]  |
| **to** | **string?** | Case-insensitive substring search of all recipient email addresses. | [optional]  |
| **userId** | **int?** | Integer. Restrict the report to the user with this specific User ID number | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetUserSuppressionSummaryReport200Response**](GetUserSuppressionSummaryReport200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Report content |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailsmtpdeliverystatussummaryreportaccount"></a>
# **GetEmailSMTPDeliveryStatusSummaryReportAccount**
> GetUserSuppressionSummaryReport200Response GetEmailSMTPDeliveryStatusSummaryReportAccount (string accountId, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null, string? filter1 = null, string? filter2 = null, string? filter3 = null, int? clicked = null, string? from = null, string? ip = null, string? header1 = null, string? header1Operator = null, string? header1Value = null, string? header2 = null, string? header2Operator = null, string? header2Value = null, string? header3 = null, string? header3Operator = null, string? header3Value = null, int? opened = null, string? secureline = null, int? sentDate = null, int? queueAgeSec = null, int? unsubscribed = null, int? tls = null, string? trackedHeaders = null, int? templateId = null, string? to = null, int? userId = null, string? cookie = null)



This report allows you to retrieve a summary of the delivery status (and other statistics) across all messages in a given time range. See also [API Reporting Basics](/rest-api/reporting.html)  and [report header columns in the response](/rest-api/report-responses.html#delivery_count). Dates, for the purposes of narrowing results, refer to the *date the message delivery status was last updated*. This can be changed to the date the message was sent using the \"sent_date\" parameter. {{ACL: Account: View Reports}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailSMTPDeliveryStatusSummaryReportAccountExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var filter1 = "filter1_example";  // string? | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters (optional) 
            var filter2 = "filter2_example";  // string? | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters (optional) 
            var filter3 = "filter3_example";  // string? | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters (optional) 
            var clicked = 56;  // int? | Integer. If specified, the results are restricted as follows:<br>clicked < 0 – select messages where URL click tracking was not enabled.<br>clicked = 0 – select messages where URL click tracking was enabled, but where there have as yet been no clicks on any clinks in the messages.<br>clicked > 0 – select messages where URL click tracking was enabled and where there have been N or more clicks on links in the same message to the same recipient. N, in this case, is the number that you have specified as the value of the “clicked” parameter. I.e., using a value of “1” matches all messages that have had a link clicked on. (optional) 
            var from = "from_example";  // string? | String. Case-insensitive substring search of the message “From” email Address (optional) 
            var ip = "ip_example";  // string? | String. Case-insensitive substring search of the sender IP address (for SMTP reports only). (optional) 
            var header1 = "header1_example";  // string? | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.<br><br>NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration > Email” area of the LuxSci user interface. (optional) 
            var header1Operator = "is";  // string? | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:<ul> <li>is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value</li> <li>not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value</li> <li>like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value</li> <li>notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value</li></ul>I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:<ul><li>header1 = “X-My-Header”</li><li>header1_operator = “is”</li><li>header1_value = “gh6577hh-abc”</li></ul>Or by passing:<ul><li>header1 = “X-My-Header”,/li><li>header1_operator = “like”</li><li>header1_value = “abc”</li> (optional) 
            var header1Value = "header1Value_example";  // string? | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. (optional) 
            var header2 = "header2_example";  // string? | Like “header1” but applies to searching the header 2 column. (optional) 
            var header2Operator = "header2Operator_example";  // string? | Like “header1_operator” but applies to searching the header 2 column. (optional) 
            var header2Value = "header2Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var header3 = "header3_example";  // string? | Like “header1” but applies to searching the header 3 column. (optional) 
            var header3Operator = "header3Operator_example";  // string? | Like “header1_operator” but applies to searching the header 3 column. (optional) 
            var header3Value = "header3Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var opened = 56;  // int? | Integer. If specified, the results are restricted as follows:<br>opened < 0 – select messages where open tracking was not enabled.<br>opened = 0 – select messages where open tracking was enabled, but which have not yet been opened.<br>opened > 0 – select messages where open tracking was enabled and which have been opened at least N times. N, in this case, is the number that you have specified as the value of the “opened” parameter. I.e., using a value of “1” matches all messages that have been opened. (optional) 
            var secureline = "u";  // string? | Enum. Value:<br>u – Message to this recipient did not use SecureLine (or Opt Out was used)<br>e – Message did use SecureLine<br>-2 – SecureLine was not used due to Opt Out being selected<br>-1 – SecureLine usage not recorded for some reason<br>1 – SecureLine:PGP was used<br>2 – SecureLine:S/MIME was used<br>3 – SecureLine:Escrow was used<br>4 – SecureLine:TLS was used (optional) 
            var sentDate = 0;  // int? | If set to true (i.e., 1), the email message sent date will be used for date/time selections, instead of the date of the last update of the delivery status. (optional) 
            var queueAgeSec = 56;  // int? | If provided, then the \"queued\" and \"pct_queued\" results will reflect only those messages that have been not delivered for at least this number of seconds.  I.e., use this to eliminate very recently sent messages from your analysis or how mange messages were queued and not yet delivered. (optional) 
            var unsubscribed = 0;  // int? | Enum. Value: 0 – The recipient did not unsubscribe based on this email message. 1 – The recipient did unsubscribe based on this email message. (optional) 
            var tls = 0;  // int? | Enum. Value:<br>0 – TLS was NOT used in the successful delivery of this message to the recipient server<br>1 – TLS was used in the successful delivery of this message to the recipient server. (optional) 
            var trackedHeaders = "trackedHeaders_example";  // string? | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. (optional) 
            var templateId = 56;  // int? | Optional template ID to select results only for those messages sent using the specified template.  A value of 0 selects all. (optional) 
            var to = "to_example";  // string? | Case-insensitive substring search of all recipient email addresses. (optional) 
            var userId = 56;  // int? | Integer. Restrict the report to the user with this specific User ID number (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetUserSuppressionSummaryReport200Response result = apiInstance.GetEmailSMTPDeliveryStatusSummaryReportAccount(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, filter1, filter2, filter3, clicked, from, ip, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, opened, secureline, sentDate, queueAgeSec, unsubscribed, tls, trackedHeaders, templateId, to, userId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetEmailSMTPDeliveryStatusSummaryReportAccount: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailSMTPDeliveryStatusSummaryReportAccountWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserSuppressionSummaryReport200Response> response = apiInstance.GetEmailSMTPDeliveryStatusSummaryReportAccountWithHttpInfo(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, filter1, filter2, filter3, clicked, from, ip, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, opened, secureline, sentDate, queueAgeSec, unsubscribed, tls, trackedHeaders, templateId, to, userId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetEmailSMTPDeliveryStatusSummaryReportAccountWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **filter1** | **string?** | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters | [optional]  |
| **filter2** | **string?** | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters | [optional]  |
| **filter3** | **string?** | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters | [optional]  |
| **clicked** | **int?** | Integer. If specified, the results are restricted as follows:&lt;br&gt;clicked &lt; 0 – select messages where URL click tracking was not enabled.&lt;br&gt;clicked &#x3D; 0 – select messages where URL click tracking was enabled, but where there have as yet been no clicks on any clinks in the messages.&lt;br&gt;clicked &gt; 0 – select messages where URL click tracking was enabled and where there have been N or more clicks on links in the same message to the same recipient. N, in this case, is the number that you have specified as the value of the “clicked” parameter. I.e., using a value of “1” matches all messages that have had a link clicked on. | [optional]  |
| **from** | **string?** | String. Case-insensitive substring search of the message “From” email Address | [optional]  |
| **ip** | **string?** | String. Case-insensitive substring search of the sender IP address (for SMTP reports only). | [optional]  |
| **header1** | **string?** | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.&lt;br&gt;&lt;br&gt;NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration &gt; Email” area of the LuxSci user interface. | [optional]  |
| **header1Operator** | **string?** | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:&lt;ul&gt; &lt;li&gt;is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value&lt;/li&gt; &lt;li&gt;not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value&lt;/li&gt; &lt;li&gt;like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value&lt;/li&gt; &lt;li&gt;notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value&lt;/li&gt;&lt;/ul&gt;I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”&lt;/li&gt;&lt;li&gt;header1_operator &#x3D; “is”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “gh6577hh-abc”&lt;/li&gt;&lt;/ul&gt;Or by passing:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”,/li&gt;&lt;li&gt;header1_operator &#x3D; “like”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “abc”&lt;/li&gt; | [optional]  |
| **header1Value** | **string?** | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. | [optional]  |
| **header2** | **string?** | Like “header1” but applies to searching the header 2 column. | [optional]  |
| **header2Operator** | **string?** | Like “header1_operator” but applies to searching the header 2 column. | [optional]  |
| **header2Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **header3** | **string?** | Like “header1” but applies to searching the header 3 column. | [optional]  |
| **header3Operator** | **string?** | Like “header1_operator” but applies to searching the header 3 column. | [optional]  |
| **header3Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **opened** | **int?** | Integer. If specified, the results are restricted as follows:&lt;br&gt;opened &lt; 0 – select messages where open tracking was not enabled.&lt;br&gt;opened &#x3D; 0 – select messages where open tracking was enabled, but which have not yet been opened.&lt;br&gt;opened &gt; 0 – select messages where open tracking was enabled and which have been opened at least N times. N, in this case, is the number that you have specified as the value of the “opened” parameter. I.e., using a value of “1” matches all messages that have been opened. | [optional]  |
| **secureline** | **string?** | Enum. Value:&lt;br&gt;u – Message to this recipient did not use SecureLine (or Opt Out was used)&lt;br&gt;e – Message did use SecureLine&lt;br&gt;-2 – SecureLine was not used due to Opt Out being selected&lt;br&gt;-1 – SecureLine usage not recorded for some reason&lt;br&gt;1 – SecureLine:PGP was used&lt;br&gt;2 – SecureLine:S/MIME was used&lt;br&gt;3 – SecureLine:Escrow was used&lt;br&gt;4 – SecureLine:TLS was used | [optional]  |
| **sentDate** | **int?** | If set to true (i.e., 1), the email message sent date will be used for date/time selections, instead of the date of the last update of the delivery status. | [optional]  |
| **queueAgeSec** | **int?** | If provided, then the \&quot;queued\&quot; and \&quot;pct_queued\&quot; results will reflect only those messages that have been not delivered for at least this number of seconds.  I.e., use this to eliminate very recently sent messages from your analysis or how mange messages were queued and not yet delivered. | [optional]  |
| **unsubscribed** | **int?** | Enum. Value: 0 – The recipient did not unsubscribe based on this email message. 1 – The recipient did unsubscribe based on this email message. | [optional]  |
| **tls** | **int?** | Enum. Value:&lt;br&gt;0 – TLS was NOT used in the successful delivery of this message to the recipient server&lt;br&gt;1 – TLS was used in the successful delivery of this message to the recipient server. | [optional]  |
| **trackedHeaders** | **string?** | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. | [optional]  |
| **templateId** | **int?** | Optional template ID to select results only for those messages sent using the specified template.  A value of 0 selects all. | [optional]  |
| **to** | **string?** | Case-insensitive substring search of all recipient email addresses. | [optional]  |
| **userId** | **int?** | Integer. Restrict the report to the user with this specific User ID number | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetUserSuppressionSummaryReport200Response**](GetUserSuppressionSummaryReport200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** |  |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailsmtpopenreportaccount"></a>
# **GetEmailSMTPOpenReportAccount**
> GetUserSuppressionSummaryReport200Response GetEmailSMTPOpenReportAccount (string accountId, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null, string? from = null, string? header1 = null, string? header1Operator = null, string? header1Value = null, string? header2 = null, string? header2Operator = null, string? header2Value = null, string? header3 = null, string? header3Operator = null, string? header3Value = null, int? opened = null, bool? openDate = null, string? sendmailId = null, string? sendmailIds = null, string? status = null, string? subject = null, int? templateId = null, string? to = null, string? trackedHeaders = null, string? userId = null, string? cookie = null)



This report allows you to query on the “opened” events (or lack thereof) for email messages sent via SMTP that have email open tracking enabled. Using this command, it is possible to get a report of all individual opens for messages or to get reports about messages that have not yet been opened or for which open tracking was not enabled. See the query parameters for more detail.  *Note: if you are using LuxSci Secure Marketing v2 to send your email messages, then normal LuxSci click and open reporting is disabled (and you will not see click and open data in this report). The LuxSci Secure Marketing v2 platform his its own click and open tracking and reporting system and you should look in that interface for reports.*  See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response](/rest-api/report-responses.html#open).  Dates, for the purposes of narrowing results, refer to the date the message was sent. This corresponds to the “date_sent” output field. However, if you set the “open_date” input parameter to true, then the “open_date” field will be used for date selections. {{ACL: Account: View Reports}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailSMTPOpenReportAccountExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var from = "from_example";  // string? | Case-insensitive substring search of the message “From” email address (optional) 
            var header1 = "header1_example";  // string? | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.<br><br>NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration > Email” area of the LuxSci user interface. (optional) 
            var header1Operator = "is";  // string? | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:<ul> <li>is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value</li> <li>not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value</li> <li>like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value</li> <li>notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value</li></ul>I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:<ul><li>header1 = “X-My-Header”</li><li>header1_operator = “is”</li><li>header1_value = “gh6577hh-abc”</li></ul>Or by passing:<ul><li>header1 = “X-My-Header”,/li><li>header1_operator = “like”</li><li>header1_value = “abc”</li> (optional) 
            var header1Value = "header1Value_example";  // string? | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. (optional) 
            var header2 = "header2_example";  // string? | Like “header1” but applies to searching the header 2 column. (optional) 
            var header2Operator = "header2Operator_example";  // string? | Like “header1_operator” but applies to searching the header 2 column. (optional) 
            var header2Value = "header2Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var header3 = "header3_example";  // string? | Like “header1” but applies to searching the header 3 column. (optional) 
            var header3Operator = "header3Operator_example";  // string? | Like “header1_operator” but applies to searching the header 3 column. (optional) 
            var header3Value = "header3Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var opened = 1;  // int? | If specified, the results are restricted as follows:<br>opened < 0 – select messages where open tracking was not enabled.<br>opened = 0 – select messages where open tracking was enabled, but which have not yet been opened.<br>opened > 0 – select messages where open tracking was enabled and which have been opened at least once. When opened is positive, you will get one row back for each open; so, <i>you can get multiple rows per message</i>.<br><br>If you do not specify a value for “opened”, a value of “1” will be assumed. (optional)  (default to 1)
            var openDate = true;  // bool? | If true, the ”open_date” field will be used for all date selections. If false or not specified, the sent date (“date_sent”) will be used. (optional) 
            var sendmailId = "sendmailId_example";  // string? | Return only the messages with the specified sendmail_id. (optional) 
            var sendmailIds = "sendmailIds_example";  // string? | Comma-delimited list of up to 100 sendmail ids. Returns any matching messages. (optional) 
            var status = "status_example";  // string? | Values:<br><b>delivered</b> – Accepted by the recipient’s email servers and presumed delivered. If bounce processing is enabled, then this status could change later to ba_soft_fail or ba_hard_fail.<br><b>perm_fail</b> – Messages that have permanently failed to be delivered to the recipient’s servers. If bounce processing is on, this status could change shortly to ba_soft_fail, depending on the nature of the failure message.<br><b>lost</b> – Messages where the tracking was lost and it is unclear if it was delivered or lost from the queue.<br><b>queued</b> – Message is in the email server queue still waiting to be delivered to the recipient.<br><b>not_queued</b> - - all statuses except \"queued\". <br><b>ba_soft_fail</b> – Soft failure bounces received (when talking to the recipient’s servers or after successful delivery to the recipient’s servers).<br><b>ba_hard_fail</b> – Hard failure bounces received after successful delivery to the recipient’s servers,<br><b>any_hard_fail</b> – Results for ba_hard_fail OR perm_fail. I.e., all hard/permanent failures. (optional) 
            var subject = "subject_example";  // string? | Case-insensitive substring search of the message subject (in UTF8). (optional) 
            var templateId = 56;  // int? | Optional template ID to select results only for those messages sent using the specified template.  A value of 0 selects all. (optional) 
            var to = "to_example";  // string? | Case-insensitive substring search of all recipient email addresses. (optional) 
            var trackedHeaders = "trackedHeaders_example";  // string? | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. (optional) 
            var userId = "userId_example";  // string? | Restrict the report to the user with this specific User ID number (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetUserSuppressionSummaryReport200Response result = apiInstance.GetEmailSMTPOpenReportAccount(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, from, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, opened, openDate, sendmailId, sendmailIds, status, subject, templateId, to, trackedHeaders, userId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetEmailSMTPOpenReportAccount: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailSMTPOpenReportAccountWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserSuppressionSummaryReport200Response> response = apiInstance.GetEmailSMTPOpenReportAccountWithHttpInfo(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, from, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, opened, openDate, sendmailId, sendmailIds, status, subject, templateId, to, trackedHeaders, userId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetEmailSMTPOpenReportAccountWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **from** | **string?** | Case-insensitive substring search of the message “From” email address | [optional]  |
| **header1** | **string?** | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.&lt;br&gt;&lt;br&gt;NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration &gt; Email” area of the LuxSci user interface. | [optional]  |
| **header1Operator** | **string?** | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:&lt;ul&gt; &lt;li&gt;is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value&lt;/li&gt; &lt;li&gt;not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value&lt;/li&gt; &lt;li&gt;like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value&lt;/li&gt; &lt;li&gt;notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value&lt;/li&gt;&lt;/ul&gt;I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”&lt;/li&gt;&lt;li&gt;header1_operator &#x3D; “is”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “gh6577hh-abc”&lt;/li&gt;&lt;/ul&gt;Or by passing:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”,/li&gt;&lt;li&gt;header1_operator &#x3D; “like”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “abc”&lt;/li&gt; | [optional]  |
| **header1Value** | **string?** | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. | [optional]  |
| **header2** | **string?** | Like “header1” but applies to searching the header 2 column. | [optional]  |
| **header2Operator** | **string?** | Like “header1_operator” but applies to searching the header 2 column. | [optional]  |
| **header2Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **header3** | **string?** | Like “header1” but applies to searching the header 3 column. | [optional]  |
| **header3Operator** | **string?** | Like “header1_operator” but applies to searching the header 3 column. | [optional]  |
| **header3Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **opened** | **int?** | If specified, the results are restricted as follows:&lt;br&gt;opened &lt; 0 – select messages where open tracking was not enabled.&lt;br&gt;opened &#x3D; 0 – select messages where open tracking was enabled, but which have not yet been opened.&lt;br&gt;opened &gt; 0 – select messages where open tracking was enabled and which have been opened at least once. When opened is positive, you will get one row back for each open; so, &lt;i&gt;you can get multiple rows per message&lt;/i&gt;.&lt;br&gt;&lt;br&gt;If you do not specify a value for “opened”, a value of “1” will be assumed. | [optional] [default to 1] |
| **openDate** | **bool?** | If true, the ”open_date” field will be used for all date selections. If false or not specified, the sent date (“date_sent”) will be used. | [optional]  |
| **sendmailId** | **string?** | Return only the messages with the specified sendmail_id. | [optional]  |
| **sendmailIds** | **string?** | Comma-delimited list of up to 100 sendmail ids. Returns any matching messages. | [optional]  |
| **status** | **string?** | Values:&lt;br&gt;&lt;b&gt;delivered&lt;/b&gt; – Accepted by the recipient’s email servers and presumed delivered. If bounce processing is enabled, then this status could change later to ba_soft_fail or ba_hard_fail.&lt;br&gt;&lt;b&gt;perm_fail&lt;/b&gt; – Messages that have permanently failed to be delivered to the recipient’s servers. If bounce processing is on, this status could change shortly to ba_soft_fail, depending on the nature of the failure message.&lt;br&gt;&lt;b&gt;lost&lt;/b&gt; – Messages where the tracking was lost and it is unclear if it was delivered or lost from the queue.&lt;br&gt;&lt;b&gt;queued&lt;/b&gt; – Message is in the email server queue still waiting to be delivered to the recipient.&lt;br&gt;&lt;b&gt;not_queued&lt;/b&gt; - - all statuses except \&quot;queued\&quot;. &lt;br&gt;&lt;b&gt;ba_soft_fail&lt;/b&gt; – Soft failure bounces received (when talking to the recipient’s servers or after successful delivery to the recipient’s servers).&lt;br&gt;&lt;b&gt;ba_hard_fail&lt;/b&gt; – Hard failure bounces received after successful delivery to the recipient’s servers,&lt;br&gt;&lt;b&gt;any_hard_fail&lt;/b&gt; – Results for ba_hard_fail OR perm_fail. I.e., all hard/permanent failures. | [optional]  |
| **subject** | **string?** | Case-insensitive substring search of the message subject (in UTF8). | [optional]  |
| **templateId** | **int?** | Optional template ID to select results only for those messages sent using the specified template.  A value of 0 selects all. | [optional]  |
| **to** | **string?** | Case-insensitive substring search of all recipient email addresses. | [optional]  |
| **trackedHeaders** | **string?** | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. | [optional]  |
| **userId** | **string?** | Restrict the report to the user with this specific User ID number | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetUserSuppressionSummaryReport200Response**](GetUserSuppressionSummaryReport200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Report content |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailsmtpopensummaryreportaccount"></a>
# **GetEmailSMTPOpenSummaryReportAccount**
> GetUserSuppressionSummaryReport200Response GetEmailSMTPOpenSummaryReportAccount (string accountId, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null, string? filter1 = null, string? filter2 = null, string? filter3 = null, string? from = null, string? header1 = null, string? header1Operator = null, string? header1Value = null, string? header2 = null, string? header2Operator = null, string? header2Value = null, string? header3 = null, string? header3Operator = null, string? header3Value = null, int? opened = null, string? subject = null, string? to = null, string? trackedHeaders = null, int? templateId = null, string? userId = null, string? cookie = null)



This report allows returns the number of opens that happened in the selected time period. See [report header columns in the response](/rest-api/report-responses.html#opens_count). *Note: if you are using LuxSci Secure Marketing v2 to send your email messages, then normal LuxSci click and open reporting is disabled (and you will not see click and open data in this report). The LuxSci Secure Marketing v2 platform his its own click and open tracking and reporting system and you should look in that interface for reports.* Dates, for the purposes of narrowing results, refer to the date the message was opened.  {{ACL: Account: View Reports}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailSMTPOpenSummaryReportAccountExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var filter1 = "filter1_example";  // string? | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters (optional) 
            var filter2 = "filter2_example";  // string? | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters (optional) 
            var filter3 = "filter3_example";  // string? | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters (optional) 
            var from = "from_example";  // string? | Case-insensitive substring search of the message “From” email address (optional) 
            var header1 = "header1_example";  // string? | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.<br><br>NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration > Email” area of the LuxSci user interface. (optional) 
            var header1Operator = "is";  // string? | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:<ul> <li>is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value</li> <li>not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value</li> <li>like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value</li> <li>notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value</li></ul>I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:<ul><li>header1 = “X-My-Header”</li><li>header1_operator = “is”</li><li>header1_value = “gh6577hh-abc”</li></ul>Or by passing:<ul><li>header1 = “X-My-Header”,/li><li>header1_operator = “like”</li><li>header1_value = “abc”</li> (optional) 
            var header1Value = "header1Value_example";  // string? | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. (optional) 
            var header2 = "header2_example";  // string? | Like “header1” but applies to searching the header 2 column. (optional) 
            var header2Operator = "header2Operator_example";  // string? | Like “header1_operator” but applies to searching the header 2 column. (optional) 
            var header2Value = "header2Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var header3 = "header3_example";  // string? | Like “header1” but applies to searching the header 3 column. (optional) 
            var header3Operator = "header3Operator_example";  // string? | Like “header1_operator” but applies to searching the header 3 column. (optional) 
            var header3Value = "header3Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var opened = 1;  // int? | If specified, the results are restricted as follows:<br>opened < 0 – select messages where open tracking was not enabled.<br>opened = 0 – select messages where open tracking was enabled, but which have not yet been opened.<br>opened > 0 – select messages where open tracking was enabled and which have been opened at least once. When opened is positive, you will get one row back for each open; so, <i>you can get multiple rows per message</i>.<br><br>If you do not specify a value for “opened”, a value of “1” will be assumed. (optional)  (default to 1)
            var subject = "subject_example";  // string? | Case-insensitive substring search of the message subject (in UTF8). (optional) 
            var to = "to_example";  // string? | Case-insensitive substring search of all recipient email addresses. (optional) 
            var trackedHeaders = "trackedHeaders_example";  // string? | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. (optional) 
            var templateId = 56;  // int? | Optional template ID to select results only for those messages sent using the specified template.  A value of 0 selects all. (optional) 
            var userId = "userId_example";  // string? | Restrict the report to the user with this specific User ID number (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetUserSuppressionSummaryReport200Response result = apiInstance.GetEmailSMTPOpenSummaryReportAccount(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, filter1, filter2, filter3, from, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, opened, subject, to, trackedHeaders, templateId, userId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetEmailSMTPOpenSummaryReportAccount: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailSMTPOpenSummaryReportAccountWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserSuppressionSummaryReport200Response> response = apiInstance.GetEmailSMTPOpenSummaryReportAccountWithHttpInfo(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, filter1, filter2, filter3, from, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, opened, subject, to, trackedHeaders, templateId, userId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetEmailSMTPOpenSummaryReportAccountWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **filter1** | **string?** | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters | [optional]  |
| **filter2** | **string?** | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters | [optional]  |
| **filter3** | **string?** | Control when a summary report returns values (for use with automated reports). See https://luxsci.com/rest-api/reporting.html#filters | [optional]  |
| **from** | **string?** | Case-insensitive substring search of the message “From” email address | [optional]  |
| **header1** | **string?** | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.&lt;br&gt;&lt;br&gt;NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration &gt; Email” area of the LuxSci user interface. | [optional]  |
| **header1Operator** | **string?** | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:&lt;ul&gt; &lt;li&gt;is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value&lt;/li&gt; &lt;li&gt;not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value&lt;/li&gt; &lt;li&gt;like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value&lt;/li&gt; &lt;li&gt;notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value&lt;/li&gt;&lt;/ul&gt;I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”&lt;/li&gt;&lt;li&gt;header1_operator &#x3D; “is”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “gh6577hh-abc”&lt;/li&gt;&lt;/ul&gt;Or by passing:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”,/li&gt;&lt;li&gt;header1_operator &#x3D; “like”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “abc”&lt;/li&gt; | [optional]  |
| **header1Value** | **string?** | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. | [optional]  |
| **header2** | **string?** | Like “header1” but applies to searching the header 2 column. | [optional]  |
| **header2Operator** | **string?** | Like “header1_operator” but applies to searching the header 2 column. | [optional]  |
| **header2Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **header3** | **string?** | Like “header1” but applies to searching the header 3 column. | [optional]  |
| **header3Operator** | **string?** | Like “header1_operator” but applies to searching the header 3 column. | [optional]  |
| **header3Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **opened** | **int?** | If specified, the results are restricted as follows:&lt;br&gt;opened &lt; 0 – select messages where open tracking was not enabled.&lt;br&gt;opened &#x3D; 0 – select messages where open tracking was enabled, but which have not yet been opened.&lt;br&gt;opened &gt; 0 – select messages where open tracking was enabled and which have been opened at least once. When opened is positive, you will get one row back for each open; so, &lt;i&gt;you can get multiple rows per message&lt;/i&gt;.&lt;br&gt;&lt;br&gt;If you do not specify a value for “opened”, a value of “1” will be assumed. | [optional] [default to 1] |
| **subject** | **string?** | Case-insensitive substring search of the message subject (in UTF8). | [optional]  |
| **to** | **string?** | Case-insensitive substring search of all recipient email addresses. | [optional]  |
| **trackedHeaders** | **string?** | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. | [optional]  |
| **templateId** | **int?** | Optional template ID to select results only for those messages sent using the specified template.  A value of 0 selects all. | [optional]  |
| **userId** | **string?** | Restrict the report to the user with this specific User ID number | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetUserSuppressionSummaryReport200Response**](GetUserSuppressionSummaryReport200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Report content |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailsmtpsentreportaccount"></a>
# **GetEmailSMTPSentReportAccount**
> GetUserSuppressionSummaryReport200Response GetEmailSMTPSentReportAccount (string accountId, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null, string? from = null, string? header1 = null, string? header1Operator = null, string? header1Value = null, string? header2 = null, string? header2Operator = null, string? header2Value = null, string? header3 = null, string? header3Operator = null, string? header3Value = null, string? ip = null, string? optOut = null, string? secureline = null, string? sendmailId = null, string? sendmailIds = null, string? spam = null, string? subject = null, string? to = null, string? trackedHeaders = null, int? templateId = null, string? userId = null, string? cookie = null)



Return a list of all email messages sent sent via SMTP by users in this account. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response](/rest-api/report-responses.html#sent). {{ACL: Account: View Reports}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailSMTPSentReportAccountExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var from = "from_example";  // string? | Case-insensitive substring search of the message “From” email address (optional) 
            var header1 = "header1_example";  // string? | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.<br><br>NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration > Email” area of the LuxSci user interface. (optional) 
            var header1Operator = "is";  // string? | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:<ul> <li>is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value</li> <li>not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value</li> <li>like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value</li> <li>notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value</li></ul>I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:<ul><li>header1 = “X-My-Header”</li><li>header1_operator = “is”</li><li>header1_value = “gh6577hh-abc”</li></ul>Or by passing:<ul><li>header1 = “X-My-Header”,/li><li>header1_operator = “like”</li><li>header1_value = “abc”</li> (optional) 
            var header1Value = "header1Value_example";  // string? | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. (optional) 
            var header2 = "header2_example";  // string? | Like “header1” but applies to searching the header 2 column. (optional) 
            var header2Operator = "header2Operator_example";  // string? | Like “header1_operator” but applies to searching the header 2 column. (optional) 
            var header2Value = "header2Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var header3 = "header3_example";  // string? | Like “header1” but applies to searching the header 3 column. (optional) 
            var header3Operator = "header3Operator_example";  // string? | Like “header1_operator” but applies to searching the header 3 column. (optional) 
            var header3Value = "header3Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var ip = "ip_example";  // string? | Case-insensitive substring search of the sender IP address (for SMTP reports only). (optional) 
            var optOut = "0";  // string? | Value:<br>0 – SecureLine Opt Out not used<br>-1 – SecureLine Opt Out use not recorded for some reason<br>1 – SecureLine Opt Out (optional) 
            var secureline = "any";  // string? | Value:<br>any – Match anything<br>-1 – SecureLine usage not recorded for some reason<br>1 – SecureLine encryption was used<br>0 – SecureLine encryption was not used<br><br>If SecureLine was used, use the delivery status report to see more details. (optional) 
            var sendmailId = "sendmailId_example";  // string? | Return only the message with the specified sendmail_id. (optional) 
            var sendmailIds = "sendmailIds_example";  // string? | Comma-delimited list of up to 100 sendmail ids. Returns any matching messages. (optional) 
            var spam = "0";  // string? | Value:<br>0 – Message was not marked as spam by a recipient and returned in a Feed Back Loop<br>1 – Message was marked as spam by a recipient and returned in a Feed Back Loop (optional) 
            var subject = "subject_example";  // string? | Case-insensitive substring search of the message subject (in UTF-8). (optional) 
            var to = "to_example";  // string? | Case-insensitive substring search of all recipient email addresses. (optional) 
            var trackedHeaders = "trackedHeaders_example";  // string? | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. (optional) 
            var templateId = 56;  // int? | Optional template ID to select results only for those messages sent using the specified template.  A value of 0 selects all. (optional) 
            var userId = "userId_example";  // string? | Restrict the report to the user with this specific User ID number. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetUserSuppressionSummaryReport200Response result = apiInstance.GetEmailSMTPSentReportAccount(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, from, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, ip, optOut, secureline, sendmailId, sendmailIds, spam, subject, to, trackedHeaders, templateId, userId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetEmailSMTPSentReportAccount: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailSMTPSentReportAccountWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserSuppressionSummaryReport200Response> response = apiInstance.GetEmailSMTPSentReportAccountWithHttpInfo(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, from, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, ip, optOut, secureline, sendmailId, sendmailIds, spam, subject, to, trackedHeaders, templateId, userId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetEmailSMTPSentReportAccountWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **from** | **string?** | Case-insensitive substring search of the message “From” email address | [optional]  |
| **header1** | **string?** | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.&lt;br&gt;&lt;br&gt;NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration &gt; Email” area of the LuxSci user interface. | [optional]  |
| **header1Operator** | **string?** | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:&lt;ul&gt; &lt;li&gt;is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value&lt;/li&gt; &lt;li&gt;not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value&lt;/li&gt; &lt;li&gt;like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value&lt;/li&gt; &lt;li&gt;notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value&lt;/li&gt;&lt;/ul&gt;I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”&lt;/li&gt;&lt;li&gt;header1_operator &#x3D; “is”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “gh6577hh-abc”&lt;/li&gt;&lt;/ul&gt;Or by passing:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”,/li&gt;&lt;li&gt;header1_operator &#x3D; “like”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “abc”&lt;/li&gt; | [optional]  |
| **header1Value** | **string?** | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. | [optional]  |
| **header2** | **string?** | Like “header1” but applies to searching the header 2 column. | [optional]  |
| **header2Operator** | **string?** | Like “header1_operator” but applies to searching the header 2 column. | [optional]  |
| **header2Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **header3** | **string?** | Like “header1” but applies to searching the header 3 column. | [optional]  |
| **header3Operator** | **string?** | Like “header1_operator” but applies to searching the header 3 column. | [optional]  |
| **header3Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **ip** | **string?** | Case-insensitive substring search of the sender IP address (for SMTP reports only). | [optional]  |
| **optOut** | **string?** | Value:&lt;br&gt;0 – SecureLine Opt Out not used&lt;br&gt;-1 – SecureLine Opt Out use not recorded for some reason&lt;br&gt;1 – SecureLine Opt Out | [optional]  |
| **secureline** | **string?** | Value:&lt;br&gt;any – Match anything&lt;br&gt;-1 – SecureLine usage not recorded for some reason&lt;br&gt;1 – SecureLine encryption was used&lt;br&gt;0 – SecureLine encryption was not used&lt;br&gt;&lt;br&gt;If SecureLine was used, use the delivery status report to see more details. | [optional]  |
| **sendmailId** | **string?** | Return only the message with the specified sendmail_id. | [optional]  |
| **sendmailIds** | **string?** | Comma-delimited list of up to 100 sendmail ids. Returns any matching messages. | [optional]  |
| **spam** | **string?** | Value:&lt;br&gt;0 – Message was not marked as spam by a recipient and returned in a Feed Back Loop&lt;br&gt;1 – Message was marked as spam by a recipient and returned in a Feed Back Loop | [optional]  |
| **subject** | **string?** | Case-insensitive substring search of the message subject (in UTF-8). | [optional]  |
| **to** | **string?** | Case-insensitive substring search of all recipient email addresses. | [optional]  |
| **trackedHeaders** | **string?** | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. | [optional]  |
| **templateId** | **int?** | Optional template ID to select results only for those messages sent using the specified template.  A value of 0 selects all. | [optional]  |
| **userId** | **string?** | Restrict the report to the user with this specific User ID number. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetUserSuppressionSummaryReport200Response**](GetUserSuppressionSummaryReport200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Report content |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailsmtptempfailreportaccount"></a>
# **GetEmailSMTPTempFailReportAccount**
> GetUserSuppressionSummaryReport200Response GetEmailSMTPTempFailReportAccount (string accountId, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null, string? ip = null, string? sendmailId = null, string? sendmailIds = null, string? to = null, int? userId = null, string? cookie = null)



This report allows you to download all temporary failure responses that were experienced when trying to deliver a message or messages to recipients.  These provide insight into why it may have taken longer than expected to deliver a specific email message.  See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response](/rest-api/report-responses.html#temp_fail).  {{ACL: Account: View Reports}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailSMTPTempFailReportAccountExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var ip = "ip_example";  // string? | String. Case-insensitive substring search of the sender IP address (for SMTP reports only). (optional) 
            var sendmailId = "sendmailId_example";  // string? | String. Return temp failures only the messages with the specified sendmail_id (optional) 
            var sendmailIds = "sendmailIds_example";  // string? | Comma-delimited list of up to 100 sendmail ids. Returns temporary failures for any matching messages. (optional) 
            var to = "to_example";  // string? | Case-insensitive substring search of all recipient email addresses. (optional) 
            var userId = 56;  // int? | Integer. Restrict the report to the user with this specific User ID number (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetUserSuppressionSummaryReport200Response result = apiInstance.GetEmailSMTPTempFailReportAccount(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, ip, sendmailId, sendmailIds, to, userId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetEmailSMTPTempFailReportAccount: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailSMTPTempFailReportAccountWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserSuppressionSummaryReport200Response> response = apiInstance.GetEmailSMTPTempFailReportAccountWithHttpInfo(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, ip, sendmailId, sendmailIds, to, userId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetEmailSMTPTempFailReportAccountWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **ip** | **string?** | String. Case-insensitive substring search of the sender IP address (for SMTP reports only). | [optional]  |
| **sendmailId** | **string?** | String. Return temp failures only the messages with the specified sendmail_id | [optional]  |
| **sendmailIds** | **string?** | Comma-delimited list of up to 100 sendmail ids. Returns temporary failures for any matching messages. | [optional]  |
| **to** | **string?** | Case-insensitive substring search of all recipient email addresses. | [optional]  |
| **userId** | **int?** | Integer. Restrict the report to the user with this specific User ID number | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetUserSuppressionSummaryReport200Response**](GetUserSuppressionSummaryReport200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Report content |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailwebmailclickreportaccount"></a>
# **GetEmailWebMailClickReportAccount**
> GetUserSuppressionSummaryReport200Response GetEmailWebMailClickReportAccount (string accountId, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null, string? from = null, int? clicked = null, string? clickDate = null, string? header1 = null, string? header1Operator = null, string? header1Value = null, string? header2 = null, string? header2Operator = null, string? header2Value = null, string? header3 = null, string? header3Operator = null, string? header3Value = null, int? opened = null, string? sendmailId = null, string? sendmailIds = null, string? status = null, string? subject = null, string? to = null, string? trackedHeaders = null, string? userId = null, string? url = null, string? cookie = null)



This report allows you to query on the “URL click” events (or lack thereof) for Webmail email messages that have email click tracking enabled. Using this command, it is possible to get a report of all individual clicks or to get reports about messages that have not yet been clicked on or for which click tracking was not enabled. See the query parameters for more detail.  *Note: if you are using LuxSci Secure Marketing v2 to send your email messages, then normal LuxSci click and open reporting is disabled (and you will not see click and open data in this report). The LuxSci Secure Marketing v2 platform his its own click and open tracking and reporting system and you should look in that interface for reports.*  See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response](/rest-api/report-responses.html#click).  Dates, for the purposes of narrowing results, refer to the date the message was sent. This corresponds to the “date_sent” output field. However, if you set the “click_date” input parameter to true, then the “click_date” field will be used for date selections. {{ACL: Account: View Reports}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailWebMailClickReportAccountExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var from = "from_example";  // string? | Case-insensitive substring search of the message “From” email address (optional) 
            var clicked = 56;  // int? | If specified, the results are restricted as follows:<br>clicked < 0 – select messages where click tracking was not enabled.<br>clicked = 0 – select messages where click tracking was enabled, but where no URLs have yet been clicked by the recipient.<br>clicked > 0 – select messages where one or more URLs have been clicked by the recipient. When “clicked” is positive, you will get one row back for each click; so,<i>you can get multiple rows per message</i>.<br><br>If a value for “clicked” is not specified, a value of “1” will be assumed. (optional) 
            var clickDate = "clickDate_example";  // string? | If true, the ”click_date” field will be used for all date selections. If false or not specified, the sent date (“date_sent”) will be used. (optional) 
            var header1 = "header1_example";  // string? | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.<br><br>NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration > Email” area of the LuxSci user interface. (optional) 
            var header1Operator = "is";  // string? | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:<ul> <li>is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value</li> <li>not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value</li> <li>like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value</li> <li>notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value</li></ul>I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:<ul><li>header1 = “X-My-Header”</li><li>header1_operator = “is”</li><li>header1_value = “gh6577hh-abc”</li></ul>Or by passing:<ul><li>header1 = “X-My-Header”,/li><li>header1_operator = “like”</li><li>header1_value = “abc”</li> (optional) 
            var header1Value = "header1Value_example";  // string? | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. (optional) 
            var header2 = "header2_example";  // string? | Like “header1” but applies to searching the header 2 column. (optional) 
            var header2Operator = "header2Operator_example";  // string? | Like “header1_operator” but applies to searching the header 2 column. (optional) 
            var header2Value = "header2Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var header3 = "header3_example";  // string? | Like “header1” but applies to searching the header 3 column. (optional) 
            var header3Operator = "header3Operator_example";  // string? | Like “header1_operator” but applies to searching the header 3 column. (optional) 
            var header3Value = "header3Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var opened = 56;  // int? | If specified, the results are restricted as follows:<br>opened < 0 – select messages where open tracking was not enabled.<br>opened = 0 – select messages where open tracking was enabled, but which have not yet been opened.<br>opened > 0 – select messages where open tracking was enabled, and which have been opened at least once.  (optional) 
            var sendmailId = "sendmailId_example";  // string? | String. Return only the messages with the specified sendmail_id (optional) 
            var sendmailIds = "sendmailIds_example";  // string? | Comma-delimited list of up to 100 sendmail ids. Returns any matching messages. (optional) 
            var status = "status_example";  // string? | Values:<br><b>delivered</b> – Accepted by the recipient’s email servers and presumed delivered. If bounce processing is enabled, then this status could change later to ba_soft_fail or ba_hard_fail.<br><b>perm_fail</b> – Messages that have permanently failed to be delivered to the recipient’s servers. If bounce processing is on, this status could change shortly to ba_soft_fail, depending on the nature of the failure message.<br><b>lost</b> – Messages where the tracking was lost and it is unclear if it was delivered or lost from the queue.<br><b>queued</b> – Message is in the email server queue still waiting to be delivered to the recipient.<br><b>not_queued</b> - - all statuses except \"queued\". <br><b>ba_soft_fail</b> – Soft failure bounces received (when talking to the recipient’s servers or after successful delivery to the recipient’s servers).<br><b>ba_hard_fail</b> – Hard failure bounces received after successful delivery to the recipient’s servers,<br><b>any_hard_fail</b> – Results for ba_hard_fail OR perm_fail. I.e., all hard/permanent failures. (optional) 
            var subject = "subject_example";  // string? | Case-insensitive substring search of the message subject (in UTF8). (optional) 
            var to = "to_example";  // string? | Case-insensitive substring search of all recipient email addresses. (optional) 
            var trackedHeaders = "trackedHeaders_example";  // string? | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. (optional) 
            var userId = "userId_example";  // string? | Restrict the report to the user with this specific User ID number (optional) 
            var url = "url_example";  // string? | Substring match on the URL clicked. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetUserSuppressionSummaryReport200Response result = apiInstance.GetEmailWebMailClickReportAccount(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, from, clicked, clickDate, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, opened, sendmailId, sendmailIds, status, subject, to, trackedHeaders, userId, url);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetEmailWebMailClickReportAccount: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailWebMailClickReportAccountWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserSuppressionSummaryReport200Response> response = apiInstance.GetEmailWebMailClickReportAccountWithHttpInfo(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, from, clicked, clickDate, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, opened, sendmailId, sendmailIds, status, subject, to, trackedHeaders, userId, url);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetEmailWebMailClickReportAccountWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **from** | **string?** | Case-insensitive substring search of the message “From” email address | [optional]  |
| **clicked** | **int?** | If specified, the results are restricted as follows:&lt;br&gt;clicked &lt; 0 – select messages where click tracking was not enabled.&lt;br&gt;clicked &#x3D; 0 – select messages where click tracking was enabled, but where no URLs have yet been clicked by the recipient.&lt;br&gt;clicked &gt; 0 – select messages where one or more URLs have been clicked by the recipient. When “clicked” is positive, you will get one row back for each click; so,&lt;i&gt;you can get multiple rows per message&lt;/i&gt;.&lt;br&gt;&lt;br&gt;If a value for “clicked” is not specified, a value of “1” will be assumed. | [optional]  |
| **clickDate** | **string?** | If true, the ”click_date” field will be used for all date selections. If false or not specified, the sent date (“date_sent”) will be used. | [optional]  |
| **header1** | **string?** | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.&lt;br&gt;&lt;br&gt;NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration &gt; Email” area of the LuxSci user interface. | [optional]  |
| **header1Operator** | **string?** | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:&lt;ul&gt; &lt;li&gt;is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value&lt;/li&gt; &lt;li&gt;not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value&lt;/li&gt; &lt;li&gt;like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value&lt;/li&gt; &lt;li&gt;notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value&lt;/li&gt;&lt;/ul&gt;I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”&lt;/li&gt;&lt;li&gt;header1_operator &#x3D; “is”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “gh6577hh-abc”&lt;/li&gt;&lt;/ul&gt;Or by passing:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”,/li&gt;&lt;li&gt;header1_operator &#x3D; “like”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “abc”&lt;/li&gt; | [optional]  |
| **header1Value** | **string?** | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. | [optional]  |
| **header2** | **string?** | Like “header1” but applies to searching the header 2 column. | [optional]  |
| **header2Operator** | **string?** | Like “header1_operator” but applies to searching the header 2 column. | [optional]  |
| **header2Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **header3** | **string?** | Like “header1” but applies to searching the header 3 column. | [optional]  |
| **header3Operator** | **string?** | Like “header1_operator” but applies to searching the header 3 column. | [optional]  |
| **header3Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **opened** | **int?** | If specified, the results are restricted as follows:&lt;br&gt;opened &lt; 0 – select messages where open tracking was not enabled.&lt;br&gt;opened &#x3D; 0 – select messages where open tracking was enabled, but which have not yet been opened.&lt;br&gt;opened &gt; 0 – select messages where open tracking was enabled, and which have been opened at least once.  | [optional]  |
| **sendmailId** | **string?** | String. Return only the messages with the specified sendmail_id | [optional]  |
| **sendmailIds** | **string?** | Comma-delimited list of up to 100 sendmail ids. Returns any matching messages. | [optional]  |
| **status** | **string?** | Values:&lt;br&gt;&lt;b&gt;delivered&lt;/b&gt; – Accepted by the recipient’s email servers and presumed delivered. If bounce processing is enabled, then this status could change later to ba_soft_fail or ba_hard_fail.&lt;br&gt;&lt;b&gt;perm_fail&lt;/b&gt; – Messages that have permanently failed to be delivered to the recipient’s servers. If bounce processing is on, this status could change shortly to ba_soft_fail, depending on the nature of the failure message.&lt;br&gt;&lt;b&gt;lost&lt;/b&gt; – Messages where the tracking was lost and it is unclear if it was delivered or lost from the queue.&lt;br&gt;&lt;b&gt;queued&lt;/b&gt; – Message is in the email server queue still waiting to be delivered to the recipient.&lt;br&gt;&lt;b&gt;not_queued&lt;/b&gt; - - all statuses except \&quot;queued\&quot;. &lt;br&gt;&lt;b&gt;ba_soft_fail&lt;/b&gt; – Soft failure bounces received (when talking to the recipient’s servers or after successful delivery to the recipient’s servers).&lt;br&gt;&lt;b&gt;ba_hard_fail&lt;/b&gt; – Hard failure bounces received after successful delivery to the recipient’s servers,&lt;br&gt;&lt;b&gt;any_hard_fail&lt;/b&gt; – Results for ba_hard_fail OR perm_fail. I.e., all hard/permanent failures. | [optional]  |
| **subject** | **string?** | Case-insensitive substring search of the message subject (in UTF8). | [optional]  |
| **to** | **string?** | Case-insensitive substring search of all recipient email addresses. | [optional]  |
| **trackedHeaders** | **string?** | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. | [optional]  |
| **userId** | **string?** | Restrict the report to the user with this specific User ID number | [optional]  |
| **url** | **string?** | Substring match on the URL clicked. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetUserSuppressionSummaryReport200Response**](GetUserSuppressionSummaryReport200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Report content |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailwebmaildeliverystatusreportaccount"></a>
# **GetEmailWebMailDeliveryStatusReportAccount**
> GetUserSuppressionSummaryReport200Response GetEmailWebMailDeliveryStatusReportAccount (string accountId, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null, int? clicked = null, string? from = null, string? ip = null, string? header1 = null, string? header1Operator = null, string? header1Value = null, string? header2 = null, string? header2Operator = null, string? header2Value = null, string? header3 = null, string? header3Operator = null, string? header3Value = null, int? opened = null, string? secureline = null, string? sendmailId = null, string? sendmailIds = null, int? sentDate = null, int? spam = null, int? tls = null, string? trackedHeaders = null, string? to = null, int? userId = null, string? cookie = null)



This report allows you to see how each Webmail message was sent to each recipient and what the delivery status is for each of these recipients. Note that delivery status changes over time as messages progress to the recipient’s servers and as bounce messages are sent back and processed. As the delivery status changes, the “last_update” date is also updated.  See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response](/rest-api/report-responses.html#delivery).  Dates, for the purposes of narrowing results, refer to the *date the message delivery status was last updated*. This corresponds to the “last_update” output field.  This can be changed to the date the message was sent using the \"sent_date\" parameter. {{ACL: Account: View Reports}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailWebMailDeliveryStatusReportAccountExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var clicked = 56;  // int? | Integer. If specified, the results are restricted as follows:<br>clicked < 0 – select messages where URL click tracking was not enabled.<br>clicked = 0 – select messages where URL click tracking was enabled, but where there have as yet been no clicks on any clinks in the messages.<br>clicked > 0 – select messages where URL click tracking was enabled and where there have been N or more clicks on links in the same message to the same recipient. N, in this case, is the number that you have specified as the value of the “clicked” parameter. I.e., using a value of “1” matches all messages that have had a link clicked on. (optional) 
            var from = "from_example";  // string? | String. Case-insensitive substring search of the message “From” email Address (optional) 
            var ip = "ip_example";  // string? | String. Case-insensitive substring search of the sender IP address (for SMTP reports only). (optional) 
            var header1 = "header1_example";  // string? | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.<br><br>NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration > Email” area of the LuxSci user interface. (optional) 
            var header1Operator = "is";  // string? | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:<ul> <li>is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value</li> <li>not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value</li> <li>like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value</li> <li>notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value</li></ul>I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:<ul><li>header1 = “X-My-Header”</li><li>header1_operator = “is”</li><li>header1_value = “gh6577hh-abc”</li></ul>Or by passing:<ul><li>header1 = “X-My-Header”,/li><li>header1_operator = “like”</li><li>header1_value = “abc”</li> (optional) 
            var header1Value = "header1Value_example";  // string? | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. (optional) 
            var header2 = "header2_example";  // string? | Like “header1” but applies to searching the header 2 column. (optional) 
            var header2Operator = "header2Operator_example";  // string? | Like “header1_operator” but applies to searching the header 2 column. (optional) 
            var header2Value = "header2Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var header3 = "header3_example";  // string? | Like “header1” but applies to searching the header 3 column. (optional) 
            var header3Operator = "header3Operator_example";  // string? | Like “header1_operator” but applies to searching the header 3 column. (optional) 
            var header3Value = "header3Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var opened = 56;  // int? | Integer. If specified, the results are restricted as follows:<br>opened < 0 – select messages where open tracking was not enabled.<br>opened = 0 – select messages where open tracking was enabled, but which have not yet been opened.<br>opened > 0 – select messages where open tracking was enabled and which have been opened at least N times. N, in this case, is the number that you have specified as the value of the “opened” parameter. I.e., using a value of “1” matches all messages that have been opened. (optional) 
            var secureline = "u";  // string? | Enum. Value:<br>u – Message to this recipient did not use SecureLine (or Opt Out was used)<br>e – Message did use SecureLine<br>-2 – SecureLine was not used due to Opt Out being selected<br>-1 – SecureLine usage not recorded for some reason<br>1 – SecureLine:PGP was used<br>2 – SecureLine:S/MIME was used<br>3 – SecureLine:Escrow was used<br>4 – SecureLine:TLS was used (optional) 
            var sendmailId = "sendmailId_example";  // string? | String. Return only the messages with the specified sendmail_id (optional) 
            var sendmailIds = "sendmailIds_example";  // string? | Comma-delimited list of up to 100 sendmail ids. Returns any matching messages. (optional) 
            var sentDate = 0;  // int? | If set to true (i.e., 1), the email message sent date will be used for date/time selections, instead of the date of the last update of the delivery status. (optional) 
            var spam = 0;  // int? | Enum. Value:<br>0 – Message was not marked as spam by a recipient and returned in a Feed Back Loop.<br>1 – Message was marked as spam by a recipient and returned in a Feed Back Loop (optional) 
            var tls = 0;  // int? | Enum. Value:<br>0 – TLS was NOT used in the successful delivery of this message to the recipient server<br>1 – TLS was used in the successful delivery of this message to the recipient server (optional) 
            var trackedHeaders = "trackedHeaders_example";  // string? | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. (optional) 
            var to = "to_example";  // string? | Case-insensitive substring search of all recipient email addresses. (optional) 
            var userId = 56;  // int? | Integer. Restrict the report to the user with this specific User ID number (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetUserSuppressionSummaryReport200Response result = apiInstance.GetEmailWebMailDeliveryStatusReportAccount(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, clicked, from, ip, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, opened, secureline, sendmailId, sendmailIds, sentDate, spam, tls, trackedHeaders, to, userId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetEmailWebMailDeliveryStatusReportAccount: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailWebMailDeliveryStatusReportAccountWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserSuppressionSummaryReport200Response> response = apiInstance.GetEmailWebMailDeliveryStatusReportAccountWithHttpInfo(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, clicked, from, ip, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, opened, secureline, sendmailId, sendmailIds, sentDate, spam, tls, trackedHeaders, to, userId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetEmailWebMailDeliveryStatusReportAccountWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **clicked** | **int?** | Integer. If specified, the results are restricted as follows:&lt;br&gt;clicked &lt; 0 – select messages where URL click tracking was not enabled.&lt;br&gt;clicked &#x3D; 0 – select messages where URL click tracking was enabled, but where there have as yet been no clicks on any clinks in the messages.&lt;br&gt;clicked &gt; 0 – select messages where URL click tracking was enabled and where there have been N or more clicks on links in the same message to the same recipient. N, in this case, is the number that you have specified as the value of the “clicked” parameter. I.e., using a value of “1” matches all messages that have had a link clicked on. | [optional]  |
| **from** | **string?** | String. Case-insensitive substring search of the message “From” email Address | [optional]  |
| **ip** | **string?** | String. Case-insensitive substring search of the sender IP address (for SMTP reports only). | [optional]  |
| **header1** | **string?** | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.&lt;br&gt;&lt;br&gt;NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration &gt; Email” area of the LuxSci user interface. | [optional]  |
| **header1Operator** | **string?** | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:&lt;ul&gt; &lt;li&gt;is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value&lt;/li&gt; &lt;li&gt;not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value&lt;/li&gt; &lt;li&gt;like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value&lt;/li&gt; &lt;li&gt;notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value&lt;/li&gt;&lt;/ul&gt;I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”&lt;/li&gt;&lt;li&gt;header1_operator &#x3D; “is”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “gh6577hh-abc”&lt;/li&gt;&lt;/ul&gt;Or by passing:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”,/li&gt;&lt;li&gt;header1_operator &#x3D; “like”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “abc”&lt;/li&gt; | [optional]  |
| **header1Value** | **string?** | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. | [optional]  |
| **header2** | **string?** | Like “header1” but applies to searching the header 2 column. | [optional]  |
| **header2Operator** | **string?** | Like “header1_operator” but applies to searching the header 2 column. | [optional]  |
| **header2Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **header3** | **string?** | Like “header1” but applies to searching the header 3 column. | [optional]  |
| **header3Operator** | **string?** | Like “header1_operator” but applies to searching the header 3 column. | [optional]  |
| **header3Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **opened** | **int?** | Integer. If specified, the results are restricted as follows:&lt;br&gt;opened &lt; 0 – select messages where open tracking was not enabled.&lt;br&gt;opened &#x3D; 0 – select messages where open tracking was enabled, but which have not yet been opened.&lt;br&gt;opened &gt; 0 – select messages where open tracking was enabled and which have been opened at least N times. N, in this case, is the number that you have specified as the value of the “opened” parameter. I.e., using a value of “1” matches all messages that have been opened. | [optional]  |
| **secureline** | **string?** | Enum. Value:&lt;br&gt;u – Message to this recipient did not use SecureLine (or Opt Out was used)&lt;br&gt;e – Message did use SecureLine&lt;br&gt;-2 – SecureLine was not used due to Opt Out being selected&lt;br&gt;-1 – SecureLine usage not recorded for some reason&lt;br&gt;1 – SecureLine:PGP was used&lt;br&gt;2 – SecureLine:S/MIME was used&lt;br&gt;3 – SecureLine:Escrow was used&lt;br&gt;4 – SecureLine:TLS was used | [optional]  |
| **sendmailId** | **string?** | String. Return only the messages with the specified sendmail_id | [optional]  |
| **sendmailIds** | **string?** | Comma-delimited list of up to 100 sendmail ids. Returns any matching messages. | [optional]  |
| **sentDate** | **int?** | If set to true (i.e., 1), the email message sent date will be used for date/time selections, instead of the date of the last update of the delivery status. | [optional]  |
| **spam** | **int?** | Enum. Value:&lt;br&gt;0 – Message was not marked as spam by a recipient and returned in a Feed Back Loop.&lt;br&gt;1 – Message was marked as spam by a recipient and returned in a Feed Back Loop | [optional]  |
| **tls** | **int?** | Enum. Value:&lt;br&gt;0 – TLS was NOT used in the successful delivery of this message to the recipient server&lt;br&gt;1 – TLS was used in the successful delivery of this message to the recipient server | [optional]  |
| **trackedHeaders** | **string?** | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. | [optional]  |
| **to** | **string?** | Case-insensitive substring search of all recipient email addresses. | [optional]  |
| **userId** | **int?** | Integer. Restrict the report to the user with this specific User ID number | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetUserSuppressionSummaryReport200Response**](GetUserSuppressionSummaryReport200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Report content |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailwebmailopenreportaccount"></a>
# **GetEmailWebMailOpenReportAccount**
> GetUserSuppressionSummaryReport200Response GetEmailWebMailOpenReportAccount (string accountId, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null, string? from = null, string? header1 = null, string? header1Operator = null, string? header1Value = null, string? header2 = null, string? header2Operator = null, string? header2Value = null, string? header3 = null, string? header3Operator = null, string? header3Value = null, int? opened = null, bool? openDate = null, string? sendmailId = null, string? sendmailIds = null, string? status = null, string? subject = null, string? to = null, string? trackedHeaders = null, string? userId = null, string? cookie = null)



This report allows you to query on the “opened” events (or lack thereof) for email messages sent via Webmail that have email open tracking enabled. Using this command, it is possible to get a report of all individual opens for messages or to get reports about messages that have not yet been opened or for which open tracking was not enabled. See the query parameters for more detail.  *Note: if you are using LuxSci Secure Marketing v2 to send your email messages, then normal LuxSci click and open reporting is disabled (and you will not see click and open data in this report). The LuxSci Secure Marketing v2 platform his its own click and open tracking and reporting system and you should look in that interface for reports.*  See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response](/rest-api/report-responses.html#open).  Dates, for the purposes of narrowing results, refer to the date the message was sent. This corresponds to the “date_sent” output field. However, if you set the “open_date” input parameter to true, then the “open_date” field will be used for date selections. {{ACL: Account: View Reports}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailWebMailOpenReportAccountExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var from = "from_example";  // string? | Case-insensitive substring search of the message “From” email address (optional) 
            var header1 = "header1_example";  // string? | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.<br><br>NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration > Email” area of the LuxSci user interface. (optional) 
            var header1Operator = "is";  // string? | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:<ul> <li>is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value</li> <li>not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value</li> <li>like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value</li> <li>notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value</li></ul>I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:<ul><li>header1 = “X-My-Header”</li><li>header1_operator = “is”</li><li>header1_value = “gh6577hh-abc”</li></ul>Or by passing:<ul><li>header1 = “X-My-Header”,/li><li>header1_operator = “like”</li><li>header1_value = “abc”</li> (optional) 
            var header1Value = "header1Value_example";  // string? | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. (optional) 
            var header2 = "header2_example";  // string? | Like “header1” but applies to searching the header 2 column. (optional) 
            var header2Operator = "header2Operator_example";  // string? | Like “header1_operator” but applies to searching the header 2 column. (optional) 
            var header2Value = "header2Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var header3 = "header3_example";  // string? | Like “header1” but applies to searching the header 3 column. (optional) 
            var header3Operator = "header3Operator_example";  // string? | Like “header1_operator” but applies to searching the header 3 column. (optional) 
            var header3Value = "header3Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var opened = 1;  // int? | If specified, the results are restricted as follows:<br>opened < 0 – select messages where open tracking was not enabled.<br>opened = 0 – select messages where open tracking was enabled, but which have not yet been opened.<br>opened > 0 – select messages where open tracking was enabled and which have been opened at least once. When opened is positive, you will get one row back for each open; so, <i>you can get multiple rows per message</i>.<br><br>If you do not specify a value for “opened”, a value of “1” will be assumed. (optional)  (default to 1)
            var openDate = true;  // bool? | If true, the ”open_date” field will be used for all date selections. If false or not specified, the sent date (“date_sent”) will be used. (optional) 
            var sendmailId = "sendmailId_example";  // string? | Return only the messages with the specified sendmail_id. (optional) 
            var sendmailIds = "sendmailIds_example";  // string? | Comma-delimited list of up to 100 sendmail ids. Returns any matching messages. (optional) 
            var status = "status_example";  // string? | Values:<br><b>delivered</b> – Accepted by the recipient’s email servers and presumed delivered. If bounce processing is enabled, then this status could change later to ba_soft_fail or ba_hard_fail.<br><b>perm_fail</b> – Messages that have permanently failed to be delivered to the recipient’s servers. If bounce processing is on, this status could change shortly to ba_soft_fail, depending on the nature of the failure message.<br><b>lost</b> – Messages where the tracking was lost and it is unclear if it was delivered or lost from the queue.<br><b>queued</b> – Message is in the email server queue still waiting to be delivered to the recipient.<br><b>not_queued</b> - - all statuses except \"queued\". <br><b>ba_soft_fail</b> – Soft failure bounces received (when talking to the recipient’s servers or after successful delivery to the recipient’s servers).<br><b>ba_hard_fail</b> – Hard failure bounces received after successful delivery to the recipient’s servers,<br><b>any_hard_fail</b> – Results for ba_hard_fail OR perm_fail. I.e., all hard/permanent failures. (optional) 
            var subject = "subject_example";  // string? | Case-insensitive substring search of the message subject (in UTF8). (optional) 
            var to = "to_example";  // string? | Case-insensitive substring search of all recipient email addresses. (optional) 
            var trackedHeaders = "trackedHeaders_example";  // string? | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. (optional) 
            var userId = "userId_example";  // string? | Restrict the report to the user with this specific User ID number (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetUserSuppressionSummaryReport200Response result = apiInstance.GetEmailWebMailOpenReportAccount(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, from, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, opened, openDate, sendmailId, sendmailIds, status, subject, to, trackedHeaders, userId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetEmailWebMailOpenReportAccount: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailWebMailOpenReportAccountWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserSuppressionSummaryReport200Response> response = apiInstance.GetEmailWebMailOpenReportAccountWithHttpInfo(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, from, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, opened, openDate, sendmailId, sendmailIds, status, subject, to, trackedHeaders, userId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetEmailWebMailOpenReportAccountWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **from** | **string?** | Case-insensitive substring search of the message “From” email address | [optional]  |
| **header1** | **string?** | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.&lt;br&gt;&lt;br&gt;NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration &gt; Email” area of the LuxSci user interface. | [optional]  |
| **header1Operator** | **string?** | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:&lt;ul&gt; &lt;li&gt;is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value&lt;/li&gt; &lt;li&gt;not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value&lt;/li&gt; &lt;li&gt;like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value&lt;/li&gt; &lt;li&gt;notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value&lt;/li&gt;&lt;/ul&gt;I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”&lt;/li&gt;&lt;li&gt;header1_operator &#x3D; “is”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “gh6577hh-abc”&lt;/li&gt;&lt;/ul&gt;Or by passing:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”,/li&gt;&lt;li&gt;header1_operator &#x3D; “like”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “abc”&lt;/li&gt; | [optional]  |
| **header1Value** | **string?** | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. | [optional]  |
| **header2** | **string?** | Like “header1” but applies to searching the header 2 column. | [optional]  |
| **header2Operator** | **string?** | Like “header1_operator” but applies to searching the header 2 column. | [optional]  |
| **header2Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **header3** | **string?** | Like “header1” but applies to searching the header 3 column. | [optional]  |
| **header3Operator** | **string?** | Like “header1_operator” but applies to searching the header 3 column. | [optional]  |
| **header3Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **opened** | **int?** | If specified, the results are restricted as follows:&lt;br&gt;opened &lt; 0 – select messages where open tracking was not enabled.&lt;br&gt;opened &#x3D; 0 – select messages where open tracking was enabled, but which have not yet been opened.&lt;br&gt;opened &gt; 0 – select messages where open tracking was enabled and which have been opened at least once. When opened is positive, you will get one row back for each open; so, &lt;i&gt;you can get multiple rows per message&lt;/i&gt;.&lt;br&gt;&lt;br&gt;If you do not specify a value for “opened”, a value of “1” will be assumed. | [optional] [default to 1] |
| **openDate** | **bool?** | If true, the ”open_date” field will be used for all date selections. If false or not specified, the sent date (“date_sent”) will be used. | [optional]  |
| **sendmailId** | **string?** | Return only the messages with the specified sendmail_id. | [optional]  |
| **sendmailIds** | **string?** | Comma-delimited list of up to 100 sendmail ids. Returns any matching messages. | [optional]  |
| **status** | **string?** | Values:&lt;br&gt;&lt;b&gt;delivered&lt;/b&gt; – Accepted by the recipient’s email servers and presumed delivered. If bounce processing is enabled, then this status could change later to ba_soft_fail or ba_hard_fail.&lt;br&gt;&lt;b&gt;perm_fail&lt;/b&gt; – Messages that have permanently failed to be delivered to the recipient’s servers. If bounce processing is on, this status could change shortly to ba_soft_fail, depending on the nature of the failure message.&lt;br&gt;&lt;b&gt;lost&lt;/b&gt; – Messages where the tracking was lost and it is unclear if it was delivered or lost from the queue.&lt;br&gt;&lt;b&gt;queued&lt;/b&gt; – Message is in the email server queue still waiting to be delivered to the recipient.&lt;br&gt;&lt;b&gt;not_queued&lt;/b&gt; - - all statuses except \&quot;queued\&quot;. &lt;br&gt;&lt;b&gt;ba_soft_fail&lt;/b&gt; – Soft failure bounces received (when talking to the recipient’s servers or after successful delivery to the recipient’s servers).&lt;br&gt;&lt;b&gt;ba_hard_fail&lt;/b&gt; – Hard failure bounces received after successful delivery to the recipient’s servers,&lt;br&gt;&lt;b&gt;any_hard_fail&lt;/b&gt; – Results for ba_hard_fail OR perm_fail. I.e., all hard/permanent failures. | [optional]  |
| **subject** | **string?** | Case-insensitive substring search of the message subject (in UTF8). | [optional]  |
| **to** | **string?** | Case-insensitive substring search of all recipient email addresses. | [optional]  |
| **trackedHeaders** | **string?** | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. | [optional]  |
| **userId** | **string?** | Restrict the report to the user with this specific User ID number | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetUserSuppressionSummaryReport200Response**](GetUserSuppressionSummaryReport200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Report content |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getemailwebmailsentreportaccount"></a>
# **GetEmailWebMailSentReportAccount**
> GetUserSuppressionSummaryReport200Response GetEmailWebMailSentReportAccount (string accountId, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null, string? from = null, string? header1 = null, string? header1Operator = null, string? header1Value = null, string? header2 = null, string? header2Operator = null, string? header2Value = null, string? header3 = null, string? header3Operator = null, string? header3Value = null, string? ip = null, string? optOut = null, string? secureline = null, string? sendmailId = null, string? sendmailIds = null, string? spam = null, string? subject = null, string? to = null, string? trackedHeaders = null, string? userId = null, string? cookie = null)



Return a list of all WebMail email messages sent by users in this account. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response](/rest-api/report-responses.html#sent). {{ACL: Account: View Reports}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetEmailWebMailSentReportAccountExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var from = "from_example";  // string? | Case-insensitive substring search of the message “From” email address (optional) 
            var header1 = "header1_example";  // string? | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.<br><br>NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration > Email” area of the LuxSci user interface. (optional) 
            var header1Operator = "is";  // string? | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:<ul> <li>is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value</li> <li>not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value</li> <li>like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value</li> <li>notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value</li></ul>I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:<ul><li>header1 = “X-My-Header”</li><li>header1_operator = “is”</li><li>header1_value = “gh6577hh-abc”</li></ul>Or by passing:<ul><li>header1 = “X-My-Header”,/li><li>header1_operator = “like”</li><li>header1_value = “abc”</li> (optional) 
            var header1Value = "header1Value_example";  // string? | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. (optional) 
            var header2 = "header2_example";  // string? | Like “header1” but applies to searching the header 2 column. (optional) 
            var header2Operator = "header2Operator_example";  // string? | Like “header1_operator” but applies to searching the header 2 column. (optional) 
            var header2Value = "header2Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var header3 = "header3_example";  // string? | Like “header1” but applies to searching the header 3 column. (optional) 
            var header3Operator = "header3Operator_example";  // string? | Like “header1_operator” but applies to searching the header 3 column. (optional) 
            var header3Value = "header3Value_example";  // string? | Like “header1_value” but applies to searching the header 2 column. (optional) 
            var ip = "ip_example";  // string? | Case-insensitive substring search of the sender IP address (for SMTP reports only). (optional) 
            var optOut = "0";  // string? | Value:<br>0 – SecureLine Opt Out not used<br>-1 – SecureLine Opt Out use not recorded for some reason<br>1 – SecureLine Opt Out (optional) 
            var secureline = "any";  // string? | Value:<br>any – Match anything<br>-1 – SecureLine usage not recorded for some reason<br>1 – SecureLine encryption was used<br>0 – SecureLine encryption was not used<br><br>If SecureLine was used, use the delivery status report to see more details. (optional) 
            var sendmailId = "sendmailId_example";  // string? | Return only the message with the specified sendmail_id. (optional) 
            var sendmailIds = "sendmailIds_example";  // string? | Comma-delimited list of up to 100 sendmail ids. Returns any matching messages. (optional) 
            var spam = "0";  // string? | Value:<br>0 – Message was not marked as spam by a recipient and returned in a Feed Back Loop<br>1 – Message was marked as spam by a recipient and returned in a Feed Back Loop (optional) 
            var subject = "subject_example";  // string? | Case-insensitive substring search of the message subject (in UTF-8). (optional) 
            var to = "to_example";  // string? | Case-insensitive substring search of all recipient email addresses. (optional) 
            var trackedHeaders = "trackedHeaders_example";  // string? | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. (optional) 
            var userId = "userId_example";  // string? | Restrict the report to the user with this specific User ID number. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetUserSuppressionSummaryReport200Response result = apiInstance.GetEmailWebMailSentReportAccount(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, from, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, ip, optOut, secureline, sendmailId, sendmailIds, spam, subject, to, trackedHeaders, userId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetEmailWebMailSentReportAccount: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetEmailWebMailSentReportAccountWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserSuppressionSummaryReport200Response> response = apiInstance.GetEmailWebMailSentReportAccountWithHttpInfo(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, from, header1, header1Operator, header1Value, header2, header2Operator, header2Value, header3, header3Operator, header3Value, ip, optOut, secureline, sendmailId, sendmailIds, spam, subject, to, trackedHeaders, userId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetEmailWebMailSentReportAccountWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **from** | **string?** | Case-insensitive substring search of the message “From” email address | [optional]  |
| **header1** | **string?** | Case-insensitive name of the custom email header field to match against in the “header 1” column. I.e., if you were matching against “X-My-Header” and saving this in header 1, you would enter “X-My-Header” as the value here.&lt;br&gt;&lt;br&gt;NOTE: Data is only stored in the customer header capturing fields/columns if you have explicitly enabled this feature in the “Account Administration &gt; Email” area of the LuxSci user interface. | [optional]  |
| **header1Operator** | **string?** | If this is present and one of the following 4 values, then the query will only return messages that included “header1” when “header1” was being tracked, and which also satisfy the follow the criteria:&lt;ul&gt; &lt;li&gt;is - -- The value of the email header named “header1” in the send email must have been exactly the same as header1_value&lt;/li&gt; &lt;li&gt;not – The value of the email header named “header1” in the send email must not be exactly the same as header1_value&lt;/li&gt; &lt;li&gt;like – The value of the email header named “header1” in the send email must contain (case insensitive) the value in header1_value&lt;/li&gt; &lt;li&gt;notlike – The value of the email header named “header1” in the send email must not contain (case insensitive) the value in header1_value&lt;/li&gt;&lt;/ul&gt;I.e., if you configured your account to capture the value of the header “X-My-Header” and saving this in “header column 1” and an email was sent with the header “X-My-Header: gh6577hh-abc”. This would have been stored in the database. You could then find this message by passing to this API function:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”&lt;/li&gt;&lt;li&gt;header1_operator &#x3D; “is”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “gh6577hh-abc”&lt;/li&gt;&lt;/ul&gt;Or by passing:&lt;ul&gt;&lt;li&gt;header1 &#x3D; “X-My-Header”,/li&gt;&lt;li&gt;header1_operator &#x3D; “like”&lt;/li&gt;&lt;li&gt;header1_value &#x3D; “abc”&lt;/li&gt; | [optional]  |
| **header1Value** | **string?** | Text used with “header1_operator” for matching the value of the email header specified in the “header1” parameter in the original sent message. | [optional]  |
| **header2** | **string?** | Like “header1” but applies to searching the header 2 column. | [optional]  |
| **header2Operator** | **string?** | Like “header1_operator” but applies to searching the header 2 column. | [optional]  |
| **header2Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **header3** | **string?** | Like “header1” but applies to searching the header 3 column. | [optional]  |
| **header3Operator** | **string?** | Like “header1_operator” but applies to searching the header 3 column. | [optional]  |
| **header3Value** | **string?** | Like “header1_value” but applies to searching the header 2 column. | [optional]  |
| **ip** | **string?** | Case-insensitive substring search of the sender IP address (for SMTP reports only). | [optional]  |
| **optOut** | **string?** | Value:&lt;br&gt;0 – SecureLine Opt Out not used&lt;br&gt;-1 – SecureLine Opt Out use not recorded for some reason&lt;br&gt;1 – SecureLine Opt Out | [optional]  |
| **secureline** | **string?** | Value:&lt;br&gt;any – Match anything&lt;br&gt;-1 – SecureLine usage not recorded for some reason&lt;br&gt;1 – SecureLine encryption was used&lt;br&gt;0 – SecureLine encryption was not used&lt;br&gt;&lt;br&gt;If SecureLine was used, use the delivery status report to see more details. | [optional]  |
| **sendmailId** | **string?** | Return only the message with the specified sendmail_id. | [optional]  |
| **sendmailIds** | **string?** | Comma-delimited list of up to 100 sendmail ids. Returns any matching messages. | [optional]  |
| **spam** | **string?** | Value:&lt;br&gt;0 – Message was not marked as spam by a recipient and returned in a Feed Back Loop&lt;br&gt;1 – Message was marked as spam by a recipient and returned in a Feed Back Loop | [optional]  |
| **subject** | **string?** | Case-insensitive substring search of the message subject (in UTF-8). | [optional]  |
| **to** | **string?** | Case-insensitive substring search of all recipient email addresses. | [optional]  |
| **trackedHeaders** | **string?** | If true and this report is for messages sent vis SMTP, then the results will include the six additional fields (header1, header2, header3, header1_value, header2_value, header3_value) which are used to track custom email message header data. | [optional]  |
| **userId** | **string?** | Restrict the report to the user with this specific User ID number. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetUserSuppressionSummaryReport200Response**](GetUserSuppressionSummaryReport200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Report content |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getsmtploginfailurereportaccount"></a>
# **GetSMTPLoginFailureReportAccount**
> GetUserSuppressionSummaryReport200Response GetSMTPLoginFailureReportAccount (string accountId, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null, string? ip = null, string? reason = null, string? cookie = null)



This report allows to see all SMTP login failures, as well as sending errors that resulted from our servers explicitly rejecting your request to send an email message for one reason or another. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response](/rest-api/report-responses.html#smtp_login_fail). {{ACL: Account: View Reports}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetSMTPLoginFailureReportAccountExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new ReportsApi(config);
            var accountId = "accountId_example";  // string | 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var ip = "ip_example";  // string? | String. Case-insensitive substring search of the message “IP Address” if the email program or device that made the connection. (optional) 
            var reason = "reason_example";  // string? | String Case-insensitive substring search of the login failure / reason data. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetUserSuppressionSummaryReport200Response result = apiInstance.GetSMTPLoginFailureReportAccount(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, ip, reason);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling ReportsApi.GetSMTPLoginFailureReportAccount: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetSMTPLoginFailureReportAccountWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetUserSuppressionSummaryReport200Response> response = apiInstance.GetSMTPLoginFailureReportAccountWithHttpInfo(accountId, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, ip, reason);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling ReportsApi.GetSMTPLoginFailureReportAccountWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **accountId** | **string** |  |  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **ip** | **string?** | String. Case-insensitive substring search of the message “IP Address” if the email program or device that made the connection. | [optional]  |
| **reason** | **string?** | String Case-insensitive substring search of the login failure / reason data. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetUserSuppressionSummaryReport200Response**](GetUserSuppressionSummaryReport200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Report content |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

